# ------------------------------------------------------------------------------
from appy.gen import *
from appy.gen.plone25.wrappers import AbstractWrapper, FileWrapper
from appy.gen.plone25.wrappers.ToolWrapper import ToolWrapper
from appy.gen.plone25.wrappers.FlavourWrapper import FlavourWrapper
from appy.gen.plone25.wrappers.PodTemplateWrapper import PodTemplateWrapper
import Oasif.Formulaire
import Oasif.ToolOasif

class PodTemplate(PodTemplateWrapper):
    '''This class represents a POD template for this application.'''
    description=String(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group=None,width=None,master=None,format=1,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=None,multiplicity=(0, 1),validator=None,page="main",)
    podTemplate=File(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group=None,width=None,master=None,optional=False,specificWritePermission=False,isImage=False,masterValue=None,specificReadPermission=False,default=None,multiplicity=(1, 1),validator=None,page="main",)
    podFormat=String(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group=None,width=None,master=None,format=0,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default="odt",multiplicity=(1, 1),validator=['odt', 'pdf', 'rtf', 'doc'],page="main",)
    phase=String(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group=None,width=None,master=None,format=0,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default="main",multiplicity=(0, 1),validator=None,page="main",)

class Flavour(FlavourWrapper):
    '''This class represents the Appy class used for defining a flavour.'''
    folder=True
    number=Integer(searchable=False,show=False,editDefault=False,move=0,height=None,index=None,group=None,width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=1,multiplicity=(0, 1),validator=None,page="main",)
    enableNotifications=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group=None,width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=True,multiplicity=(0, 1),validator=None,page="notifications",)
    showWorkflowForOasif_Formulaire_Administration=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Administration",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasif_Formulaire_Administration=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Administration",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasif_Formulaire_Administration=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Administration",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowForOasif_Formulaire_SousTraitant=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="SousTraitant",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasif_Formulaire_SousTraitant=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="SousTraitant",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasif_Formulaire_SousTraitant=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="SousTraitant",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowForOasif_Formulaire_AgentInterne=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="AgentInterne",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasif_Formulaire_AgentInterne=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="AgentInterne",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasif_Formulaire_AgentInterne=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="AgentInterne",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowForOasif_Formulaire_TravailInformatique=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="TravailInformatique",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasif_Formulaire_TravailInformatique=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="TravailInformatique",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasif_Formulaire_TravailInformatique=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="TravailInformatique",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowForOasif_Formulaire_Travail=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Travail",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasif_Formulaire_Travail=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Travail",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasif_Formulaire_Travail=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Travail",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowForOasif_Formulaire_Formulaire=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Formulaire",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=True,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasif_Formulaire_Formulaire=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Formulaire",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=True,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasif_Formulaire_Formulaire=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Formulaire",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowForOasif_Formulaire_Ministre=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Ministre",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasif_Formulaire_Ministre=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Ministre",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasif_Formulaire_Ministre=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Ministre",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowForOasif_Formulaire_Employe=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Employe",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasif_Formulaire_Employe=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Employe",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasif_Formulaire_Employe=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Employe",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowForOasif_Formulaire_Agent=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Agent",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasif_Formulaire_Agent=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Agent",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasif_Formulaire_Agent=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Agent",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowForOasif_Formulaire_TypeDeDemarche=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="TypeDeDemarche",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasif_Formulaire_TypeDeDemarche=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="TypeDeDemarche",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasif_Formulaire_TypeDeDemarche=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="TypeDeDemarche",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowForOasif_Formulaire_Famille=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Famille",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasif_Formulaire_Famille=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Famille",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasif_Formulaire_Famille=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Famille",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    resultColumnsForOasif_Formulaire_Formulaire=String(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Formulaire",width=None,master=None,format=0,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=None,multiplicity=(0, None),validator=['sousTitre', 'natureDeLaDemarche', 'titreAbrege', 'famille', 'numero', 'ministreConcerne', 'adresseDeRenvoi', 'personnesDeContact', 'publicCible', 'publicCibleSpecifique', 'descriptionDetaillee', 'descriptionCourte', 'bonASavoir', 'mentions', 'baseLegale', 'delaiDeRenvoiEnJours', 'montant', 'frequenceDeRemplissageParLeDemandeur', 'frequenceDeRevisionPotentielleParLAdministration', 'aMettreEnLigne', 'misEnLigne', 'dateDeMiseEnLigne', 'dateDeFinDeMiseEnLigneEventuelle', 'theme', 'ligneDeVie', 'nombreDeFormulairesTelechargesParAn', 'nombreDeFormulairesRemplisEnLigneParAn', 'regles', 'origineDeLaDemande', 'dateDeReceptionDeLaDemande', 'priorite', 'echeanceDemandee', 'echeancePossibleCoteEasi', 'dateDAttributionDuTravail', 'autresPersonnesDeContact', 'fonctionnaireValidant', 'chefDeProjetCoteEasi', 'dateDeRealisationDuDiagnostic', 'diagnostic', 'travailDeSimplification', 'travailDInformatisation', 'travailDeMiseEnLigne', 'gainsUsagerNiveauSimplification', 'autresGainsUsagerNiveauSimplification', 'gainsUsagerNiveauInformatique', 'autresGainsUsagerNiveauInformatique', 'gainsAdministrationNiveauSimplification', 'autresGainsAdministrationNiveauSimplification', 'gainsAdministrationNiveauInformatique', 'autresGainsAdministrationNiveauInformatique', 'nombreDePagesAvant', 'nombreDePagesApres', 'langueDuFormulaireAvant', 'langueDuFormulaireApres', 'formatDeDocumentAvant', 'formatDeDocumentApres', 'existenceDUneNoticeAvant', 'existenceDUneNoticeApres', 'nombreDePagesDeLaNoticeAvant', 'nombreDePagesDeLaNoticeApres', 'existenceDAnnexesAvant', 'existenceDAnnexesApres', 'annexesAvant', 'annexesApres', 'nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant', 'nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres', 'nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant', 'nombreDAnnexesRemplaceesParSourcesAuthentiquesApres', 'annexesRemplaceesAvant', 'annexesRemplaceesApres', 'existenceDAutresDocumentsLiesAvant', 'existenceDAutresDocumentsLiesApres', 'documentsLiesAvant', 'documentsLiesApres', 'typeDeFormulaireAvant', 'typeDeFormulaireApres', 'respectDeLaCharteAvant', 'respectDeLaCharteApres', 'simplifieAvant', 'simplifieApres', 'simplificationsAvant', 'simplificationsApres', 'diffusionSurSiteFormulairesAvant', 'diffusionSurSiteFormulairesApres', 'autresSitesDeDiffusionAvant', 'autresSitesDeDiffusionApres', 'nombreDeFormulairesDemandesParAnAvant', 'nombreDeFormulairesDemandesParAnApres', 'statut', 'workflowState'],page="userInterface",)
    showWorkflowForOasifFlavour=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Flavour",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=True,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasifFlavour=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Flavour",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=True,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasifFlavour=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="Flavour",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowForOasifPodTemplate=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="PodTemplate",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=True,multiplicity=(0, 1),validator=None,page="userInterface",)
    showWorkflowCommentFieldForOasifPodTemplate=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="PodTemplate",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=True,multiplicity=(0, 1),validator=None,page="userInterface",)
    showAllStatesInPhaseForOasifPodTemplate=Boolean(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="PodTemplate",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=False,multiplicity=(0, 1),validator=None,page="userInterface",)

class Tool(ToolWrapper):
    '''This class represents the tool for this application.'''
    folder=True
    flavours=Ref(searchable=False,show=True,editDefault=False,attribute=None,move=0,back=Ref(searchable=False,show=True,editDefault=False,attribute="tool",move=0,back=None,height=None,showHeaders=False,shownInfo=(),index=None,group=None,isBack=False,width=None,add=False,master=None,select=None,link=True,unlink=False,optional=False,specificWritePermission=False,wide=False,masterValue=None,specificReadPermission=False,default=None,multiplicity=(0, 1),validator=None,klass=None,page="main",),height=None,showHeaders=False,shownInfo=(),index=None,group=None,isBack=False,width=None,add=True,master=None,select=None,link=False,unlink=False,optional=False,specificWritePermission=False,wide=False,masterValue=None,specificReadPermission=False,default=None,multiplicity=(1, None),validator=None,klass=Flavour,page="main",)
    unoEnabledPython=String(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="connectionToOpenOffice",width=None,master=None,format=0,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=None,multiplicity=(0, 1),validator=None,page="main",)
    openOfficePort=Integer(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group="connectionToOpenOffice",width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=2002,multiplicity=(0, 1),validator=None,page="main",)
    numberOfResultsPerPage=Integer(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group=None,width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=30,multiplicity=(0, 1),validator=None,page="main",)
    listBoxesMaximumWidth=Integer(searchable=False,show=True,editDefault=False,move=0,height=None,index=None,group=None,width=None,master=None,optional=False,specificWritePermission=False,masterValue=None,specificReadPermission=False,default=100,multiplicity=(0, 1),validator=None,page="main",)

class OasifPodTemplate_Wrapper(AbstractWrapper, PodTemplate):
    def get_description(self):
        return self.o.Description()
    description = property(get_description)

    def get_podTemplate(self):
        v = self.o.getPodTemplate()
        if not v: return None
        else: return FileWrapper(v)
    podTemplate = property(get_podTemplate)

    def get_podFormat(self):
        return self.o.getPodFormat()
    podFormat = property(get_podFormat)

    def get_phase(self):
        return self.o.getPhase()
    phase = property(get_phase)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class OasifFlavour_Wrapper(AbstractWrapper, Flavour):
    def get_number(self):
        return self.o.getNumber()
    number = property(get_number)

    def get_enableNotifications(self):
        return self.o.getEnableNotifications()
    enableNotifications = property(get_enableNotifications)

    def get_showWorkflowForOasif_Formulaire_Administration(self):
        return self.o.getShowWorkflowForOasif_Formulaire_Administration()
    showWorkflowForOasif_Formulaire_Administration = property(get_showWorkflowForOasif_Formulaire_Administration)

    def get_showWorkflowCommentFieldForOasif_Formulaire_Administration(self):
        return self.o.getShowWorkflowCommentFieldForOasif_Formulaire_Administration()
    showWorkflowCommentFieldForOasif_Formulaire_Administration = property(get_showWorkflowCommentFieldForOasif_Formulaire_Administration)

    def get_showAllStatesInPhaseForOasif_Formulaire_Administration(self):
        return self.o.getShowAllStatesInPhaseForOasif_Formulaire_Administration()
    showAllStatesInPhaseForOasif_Formulaire_Administration = property(get_showAllStatesInPhaseForOasif_Formulaire_Administration)

    def get_showWorkflowForOasif_Formulaire_SousTraitant(self):
        return self.o.getShowWorkflowForOasif_Formulaire_SousTraitant()
    showWorkflowForOasif_Formulaire_SousTraitant = property(get_showWorkflowForOasif_Formulaire_SousTraitant)

    def get_showWorkflowCommentFieldForOasif_Formulaire_SousTraitant(self):
        return self.o.getShowWorkflowCommentFieldForOasif_Formulaire_SousTraitant()
    showWorkflowCommentFieldForOasif_Formulaire_SousTraitant = property(get_showWorkflowCommentFieldForOasif_Formulaire_SousTraitant)

    def get_showAllStatesInPhaseForOasif_Formulaire_SousTraitant(self):
        return self.o.getShowAllStatesInPhaseForOasif_Formulaire_SousTraitant()
    showAllStatesInPhaseForOasif_Formulaire_SousTraitant = property(get_showAllStatesInPhaseForOasif_Formulaire_SousTraitant)

    def get_showWorkflowForOasif_Formulaire_AgentInterne(self):
        return self.o.getShowWorkflowForOasif_Formulaire_AgentInterne()
    showWorkflowForOasif_Formulaire_AgentInterne = property(get_showWorkflowForOasif_Formulaire_AgentInterne)

    def get_showWorkflowCommentFieldForOasif_Formulaire_AgentInterne(self):
        return self.o.getShowWorkflowCommentFieldForOasif_Formulaire_AgentInterne()
    showWorkflowCommentFieldForOasif_Formulaire_AgentInterne = property(get_showWorkflowCommentFieldForOasif_Formulaire_AgentInterne)

    def get_showAllStatesInPhaseForOasif_Formulaire_AgentInterne(self):
        return self.o.getShowAllStatesInPhaseForOasif_Formulaire_AgentInterne()
    showAllStatesInPhaseForOasif_Formulaire_AgentInterne = property(get_showAllStatesInPhaseForOasif_Formulaire_AgentInterne)

    def get_showWorkflowForOasif_Formulaire_TravailInformatique(self):
        return self.o.getShowWorkflowForOasif_Formulaire_TravailInformatique()
    showWorkflowForOasif_Formulaire_TravailInformatique = property(get_showWorkflowForOasif_Formulaire_TravailInformatique)

    def get_showWorkflowCommentFieldForOasif_Formulaire_TravailInformatique(self):
        return self.o.getShowWorkflowCommentFieldForOasif_Formulaire_TravailInformatique()
    showWorkflowCommentFieldForOasif_Formulaire_TravailInformatique = property(get_showWorkflowCommentFieldForOasif_Formulaire_TravailInformatique)

    def get_showAllStatesInPhaseForOasif_Formulaire_TravailInformatique(self):
        return self.o.getShowAllStatesInPhaseForOasif_Formulaire_TravailInformatique()
    showAllStatesInPhaseForOasif_Formulaire_TravailInformatique = property(get_showAllStatesInPhaseForOasif_Formulaire_TravailInformatique)

    def get_showWorkflowForOasif_Formulaire_Travail(self):
        return self.o.getShowWorkflowForOasif_Formulaire_Travail()
    showWorkflowForOasif_Formulaire_Travail = property(get_showWorkflowForOasif_Formulaire_Travail)

    def get_showWorkflowCommentFieldForOasif_Formulaire_Travail(self):
        return self.o.getShowWorkflowCommentFieldForOasif_Formulaire_Travail()
    showWorkflowCommentFieldForOasif_Formulaire_Travail = property(get_showWorkflowCommentFieldForOasif_Formulaire_Travail)

    def get_showAllStatesInPhaseForOasif_Formulaire_Travail(self):
        return self.o.getShowAllStatesInPhaseForOasif_Formulaire_Travail()
    showAllStatesInPhaseForOasif_Formulaire_Travail = property(get_showAllStatesInPhaseForOasif_Formulaire_Travail)

    def get_showWorkflowForOasif_Formulaire_Formulaire(self):
        return self.o.getShowWorkflowForOasif_Formulaire_Formulaire()
    showWorkflowForOasif_Formulaire_Formulaire = property(get_showWorkflowForOasif_Formulaire_Formulaire)

    def get_showWorkflowCommentFieldForOasif_Formulaire_Formulaire(self):
        return self.o.getShowWorkflowCommentFieldForOasif_Formulaire_Formulaire()
    showWorkflowCommentFieldForOasif_Formulaire_Formulaire = property(get_showWorkflowCommentFieldForOasif_Formulaire_Formulaire)

    def get_showAllStatesInPhaseForOasif_Formulaire_Formulaire(self):
        return self.o.getShowAllStatesInPhaseForOasif_Formulaire_Formulaire()
    showAllStatesInPhaseForOasif_Formulaire_Formulaire = property(get_showAllStatesInPhaseForOasif_Formulaire_Formulaire)

    def get_showWorkflowForOasif_Formulaire_Ministre(self):
        return self.o.getShowWorkflowForOasif_Formulaire_Ministre()
    showWorkflowForOasif_Formulaire_Ministre = property(get_showWorkflowForOasif_Formulaire_Ministre)

    def get_showWorkflowCommentFieldForOasif_Formulaire_Ministre(self):
        return self.o.getShowWorkflowCommentFieldForOasif_Formulaire_Ministre()
    showWorkflowCommentFieldForOasif_Formulaire_Ministre = property(get_showWorkflowCommentFieldForOasif_Formulaire_Ministre)

    def get_showAllStatesInPhaseForOasif_Formulaire_Ministre(self):
        return self.o.getShowAllStatesInPhaseForOasif_Formulaire_Ministre()
    showAllStatesInPhaseForOasif_Formulaire_Ministre = property(get_showAllStatesInPhaseForOasif_Formulaire_Ministre)

    def get_showWorkflowForOasif_Formulaire_Employe(self):
        return self.o.getShowWorkflowForOasif_Formulaire_Employe()
    showWorkflowForOasif_Formulaire_Employe = property(get_showWorkflowForOasif_Formulaire_Employe)

    def get_showWorkflowCommentFieldForOasif_Formulaire_Employe(self):
        return self.o.getShowWorkflowCommentFieldForOasif_Formulaire_Employe()
    showWorkflowCommentFieldForOasif_Formulaire_Employe = property(get_showWorkflowCommentFieldForOasif_Formulaire_Employe)

    def get_showAllStatesInPhaseForOasif_Formulaire_Employe(self):
        return self.o.getShowAllStatesInPhaseForOasif_Formulaire_Employe()
    showAllStatesInPhaseForOasif_Formulaire_Employe = property(get_showAllStatesInPhaseForOasif_Formulaire_Employe)

    def get_showWorkflowForOasif_Formulaire_Agent(self):
        return self.o.getShowWorkflowForOasif_Formulaire_Agent()
    showWorkflowForOasif_Formulaire_Agent = property(get_showWorkflowForOasif_Formulaire_Agent)

    def get_showWorkflowCommentFieldForOasif_Formulaire_Agent(self):
        return self.o.getShowWorkflowCommentFieldForOasif_Formulaire_Agent()
    showWorkflowCommentFieldForOasif_Formulaire_Agent = property(get_showWorkflowCommentFieldForOasif_Formulaire_Agent)

    def get_showAllStatesInPhaseForOasif_Formulaire_Agent(self):
        return self.o.getShowAllStatesInPhaseForOasif_Formulaire_Agent()
    showAllStatesInPhaseForOasif_Formulaire_Agent = property(get_showAllStatesInPhaseForOasif_Formulaire_Agent)

    def get_showWorkflowForOasif_Formulaire_TypeDeDemarche(self):
        return self.o.getShowWorkflowForOasif_Formulaire_TypeDeDemarche()
    showWorkflowForOasif_Formulaire_TypeDeDemarche = property(get_showWorkflowForOasif_Formulaire_TypeDeDemarche)

    def get_showWorkflowCommentFieldForOasif_Formulaire_TypeDeDemarche(self):
        return self.o.getShowWorkflowCommentFieldForOasif_Formulaire_TypeDeDemarche()
    showWorkflowCommentFieldForOasif_Formulaire_TypeDeDemarche = property(get_showWorkflowCommentFieldForOasif_Formulaire_TypeDeDemarche)

    def get_showAllStatesInPhaseForOasif_Formulaire_TypeDeDemarche(self):
        return self.o.getShowAllStatesInPhaseForOasif_Formulaire_TypeDeDemarche()
    showAllStatesInPhaseForOasif_Formulaire_TypeDeDemarche = property(get_showAllStatesInPhaseForOasif_Formulaire_TypeDeDemarche)

    def get_showWorkflowForOasif_Formulaire_Famille(self):
        return self.o.getShowWorkflowForOasif_Formulaire_Famille()
    showWorkflowForOasif_Formulaire_Famille = property(get_showWorkflowForOasif_Formulaire_Famille)

    def get_showWorkflowCommentFieldForOasif_Formulaire_Famille(self):
        return self.o.getShowWorkflowCommentFieldForOasif_Formulaire_Famille()
    showWorkflowCommentFieldForOasif_Formulaire_Famille = property(get_showWorkflowCommentFieldForOasif_Formulaire_Famille)

    def get_showAllStatesInPhaseForOasif_Formulaire_Famille(self):
        return self.o.getShowAllStatesInPhaseForOasif_Formulaire_Famille()
    showAllStatesInPhaseForOasif_Formulaire_Famille = property(get_showAllStatesInPhaseForOasif_Formulaire_Famille)

    def get_resultColumnsForOasif_Formulaire_Formulaire(self):
        return self.o.getResultColumnsForOasif_Formulaire_Formulaire()
    resultColumnsForOasif_Formulaire_Formulaire = property(get_resultColumnsForOasif_Formulaire_Formulaire)

    def get_showWorkflowForOasifFlavour(self):
        return self.o.getShowWorkflowForOasifFlavour()
    showWorkflowForOasifFlavour = property(get_showWorkflowForOasifFlavour)

    def get_showWorkflowCommentFieldForOasifFlavour(self):
        return self.o.getShowWorkflowCommentFieldForOasifFlavour()
    showWorkflowCommentFieldForOasifFlavour = property(get_showWorkflowCommentFieldForOasifFlavour)

    def get_showAllStatesInPhaseForOasifFlavour(self):
        return self.o.getShowAllStatesInPhaseForOasifFlavour()
    showAllStatesInPhaseForOasifFlavour = property(get_showAllStatesInPhaseForOasifFlavour)

    def get_showWorkflowForOasifPodTemplate(self):
        return self.o.getShowWorkflowForOasifPodTemplate()
    showWorkflowForOasifPodTemplate = property(get_showWorkflowForOasifPodTemplate)

    def get_showWorkflowCommentFieldForOasifPodTemplate(self):
        return self.o.getShowWorkflowCommentFieldForOasifPodTemplate()
    showWorkflowCommentFieldForOasifPodTemplate = property(get_showWorkflowCommentFieldForOasifPodTemplate)

    def get_showAllStatesInPhaseForOasifPodTemplate(self):
        return self.o.getShowAllStatesInPhaseForOasifPodTemplate()
    showAllStatesInPhaseForOasifPodTemplate = property(get_showAllStatesInPhaseForOasifPodTemplate)

    def get_tool(self):
        return self.o._appy_getRefsBack("tool", "OasifTool_flavours_rel", noListIfSingleObj=True)
    tool = property(get_tool)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class OasifTool_Wrapper(AbstractWrapper, Tool):
    def get_flavours(self):
        return self.o._appy_getRefs("flavours", noListIfSingleObj=True)
    flavours = property(get_flavours)

    def get_unoEnabledPython(self):
        return self.o.getUnoEnabledPython()
    unoEnabledPython = property(get_unoEnabledPython)

    def get_openOfficePort(self):
        return self.o.getOpenOfficePort()
    openOfficePort = property(get_openOfficePort)

    def get_numberOfResultsPerPage(self):
        return self.o.getNumberOfResultsPerPage()
    numberOfResultsPerPage = property(get_numberOfResultsPerPage)

    def get_listBoxesMaximumWidth(self):
        return self.o.getListBoxesMaximumWidth()
    listBoxesMaximumWidth = property(get_listBoxesMaximumWidth)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class Oasif_Formulaire_Famille_Wrapper(AbstractWrapper, Oasif.Formulaire.Famille):
    def get_description(self):
        return self.o.Description()
    description = property(get_description)

    def get_formulaires(self):
        return self.o._appy_getRefsBack("formulaires", "Oasif_Formulaire_Formulaire_famille_rel", noListIfSingleObj=True)
    formulaires = property(get_formulaires)

    def get_retourALaConfig(self):
        return self.o._appy_getRefsBack("retourALaConfig", "OasifTool_familles_rel", noListIfSingleObj=True)
    retourALaConfig = property(get_retourALaConfig)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class Oasif_Formulaire_TypeDeDemarche_Wrapper(AbstractWrapper, Oasif.Formulaire.TypeDeDemarche):
    def get_description(self):
        return self.o.Description()
    description = property(get_description)

    def get_formulairesRelatifs(self):
        return self.o._appy_getRefsBack("formulairesRelatifs", "Oasif_Formulaire_Formulaire_natureDeLaDemarche_rel", noListIfSingleObj=True)
    formulairesRelatifs = property(get_formulairesRelatifs)

    def get_retourALaConfig(self):
        return self.o._appy_getRefsBack("retourALaConfig", "OasifTool_typesDeDemarches_rel", noListIfSingleObj=True)
    retourALaConfig = property(get_retourALaConfig)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class Oasif_Formulaire_Formulaire_Wrapper(AbstractWrapper, Oasif.Formulaire.Formulaire):
    def get_sousTitre(self):
        return self.o.getSousTitre()
    sousTitre = property(get_sousTitre)

    def get_natureDeLaDemarche(self):
        return self.o._appy_getRefs("natureDeLaDemarche", noListIfSingleObj=True)
    natureDeLaDemarche = property(get_natureDeLaDemarche)

    def get_titreAbrege(self):
        return self.o.getTitreAbrege()
    titreAbrege = property(get_titreAbrege)

    def get_famille(self):
        return self.o._appy_getRefs("famille", noListIfSingleObj=True)
    famille = property(get_famille)

    def get_numero(self):
        return self.o.getNumero()
    numero = property(get_numero)

    def get_ministreConcerne(self):
        return self.o._appy_getRefs("ministreConcerne", noListIfSingleObj=True)
    ministreConcerne = property(get_ministreConcerne)

    def get_adresseDeRenvoi(self):
        return self.o._appy_getRefs("adresseDeRenvoi", noListIfSingleObj=True)
    adresseDeRenvoi = property(get_adresseDeRenvoi)

    def get_personnesDeContact(self):
        return self.o._appy_getRefs("personnesDeContact", noListIfSingleObj=True)
    personnesDeContact = property(get_personnesDeContact)

    def get_publicCible(self):
        return self.o.getPublicCible()
    publicCible = property(get_publicCible)

    def get_publicCibleSpecifique(self):
        return self.o.getPublicCibleSpecifique()
    publicCibleSpecifique = property(get_publicCibleSpecifique)

    def get_descriptionDetaillee(self):
        return self.o.getDescriptionDetaillee()
    descriptionDetaillee = property(get_descriptionDetaillee)

    def get_descriptionCourte(self):
        return self.o.getDescriptionCourte()
    descriptionCourte = property(get_descriptionCourte)

    def get_bonASavoir(self):
        return self.o.getBonASavoir()
    bonASavoir = property(get_bonASavoir)

    def get_mentions(self):
        return self.o.getMentions()
    mentions = property(get_mentions)

    def get_baseLegale(self):
        return self.o.getBaseLegale()
    baseLegale = property(get_baseLegale)

    def get_delaiDeRenvoiEnJours(self):
        return self.o.getDelaiDeRenvoiEnJours()
    delaiDeRenvoiEnJours = property(get_delaiDeRenvoiEnJours)

    def get_montant(self):
        return self.o.getMontant()
    montant = property(get_montant)

    def get_frequenceDeRemplissageParLeDemandeur(self):
        return self.o.getFrequenceDeRemplissageParLeDemandeur()
    frequenceDeRemplissageParLeDemandeur = property(get_frequenceDeRemplissageParLeDemandeur)

    def get_frequenceDeRevisionPotentielleParLAdministration(self):
        return self.o.getFrequenceDeRevisionPotentielleParLAdministration()
    frequenceDeRevisionPotentielleParLAdministration = property(get_frequenceDeRevisionPotentielleParLAdministration)

    def get_aMettreEnLigne(self):
        return self.o.getAMettreEnLigne()
    aMettreEnLigne = property(get_aMettreEnLigne)

    def get_misEnLigne(self):
        return self.o.getMisEnLigne()
    misEnLigne = property(get_misEnLigne)

    def get_dateDeMiseEnLigne(self):
        return self.o.getDateDeMiseEnLigne()
    dateDeMiseEnLigne = property(get_dateDeMiseEnLigne)

    def get_dateDeFinDeMiseEnLigneEventuelle(self):
        return self.o.getDateDeFinDeMiseEnLigneEventuelle()
    dateDeFinDeMiseEnLigneEventuelle = property(get_dateDeFinDeMiseEnLigneEventuelle)

    def get_theme(self):
        return self.o.getTheme()
    theme = property(get_theme)

    def get_ligneDeVie(self):
        return self.o.getLigneDeVie()
    ligneDeVie = property(get_ligneDeVie)

    def get_nombreDeFormulairesTelechargesParAn(self):
        return self.o.getNombreDeFormulairesTelechargesParAn()
    nombreDeFormulairesTelechargesParAn = property(get_nombreDeFormulairesTelechargesParAn)

    def get_nombreDeFormulairesRemplisEnLigneParAn(self):
        return self.o.getNombreDeFormulairesRemplisEnLigneParAn()
    nombreDeFormulairesRemplisEnLigneParAn = property(get_nombreDeFormulairesRemplisEnLigneParAn)

    def get_regles(self):
        return self.o.getRegles()
    regles = property(get_regles)

    def get_origineDeLaDemande(self):
        return self.o.getOrigineDeLaDemande()
    origineDeLaDemande = property(get_origineDeLaDemande)

    def get_dateDeReceptionDeLaDemande(self):
        return self.o.getDateDeReceptionDeLaDemande()
    dateDeReceptionDeLaDemande = property(get_dateDeReceptionDeLaDemande)

    def get_priorite(self):
        return self.o.getPriorite()
    priorite = property(get_priorite)

    def get_echeanceDemandee(self):
        return self.o.getEcheanceDemandee()
    echeanceDemandee = property(get_echeanceDemandee)

    def get_echeancePossibleCoteEasi(self):
        return self.o.getEcheancePossibleCoteEasi()
    echeancePossibleCoteEasi = property(get_echeancePossibleCoteEasi)

    def get_dateDAttributionDuTravail(self):
        return self.o.getDateDAttributionDuTravail()
    dateDAttributionDuTravail = property(get_dateDAttributionDuTravail)

    def get_autresPersonnesDeContact(self):
        return self.o._appy_getRefs("autresPersonnesDeContact", noListIfSingleObj=True)
    autresPersonnesDeContact = property(get_autresPersonnesDeContact)

    def get_fonctionnaireValidant(self):
        return self.o._appy_getRefs("fonctionnaireValidant", noListIfSingleObj=True)
    fonctionnaireValidant = property(get_fonctionnaireValidant)

    def get_chefDeProjetCoteEasi(self):
        return self.o._appy_getRefs("chefDeProjetCoteEasi", noListIfSingleObj=True)
    chefDeProjetCoteEasi = property(get_chefDeProjetCoteEasi)

    def get_dateDeRealisationDuDiagnostic(self):
        return self.o.getDateDeRealisationDuDiagnostic()
    dateDeRealisationDuDiagnostic = property(get_dateDeRealisationDuDiagnostic)

    def get_diagnostic(self):
        v = self.o.getDiagnostic()
        if not v: return None
        else: return FileWrapper(v)
    diagnostic = property(get_diagnostic)

    def get_travailDeSimplification(self):
        return self.o._appy_getRefs("travailDeSimplification", noListIfSingleObj=True)
    travailDeSimplification = property(get_travailDeSimplification)

    def get_travailDInformatisation(self):
        return self.o._appy_getRefs("travailDInformatisation", noListIfSingleObj=True)
    travailDInformatisation = property(get_travailDInformatisation)

    def get_travailDeMiseEnLigne(self):
        return self.o._appy_getRefs("travailDeMiseEnLigne", noListIfSingleObj=True)
    travailDeMiseEnLigne = property(get_travailDeMiseEnLigne)

    def get_gainsUsagerNiveauSimplification(self):
        return self.o.getGainsUsagerNiveauSimplification()
    gainsUsagerNiveauSimplification = property(get_gainsUsagerNiveauSimplification)

    def get_autresGainsUsagerNiveauSimplification(self):
        return self.o.getAutresGainsUsagerNiveauSimplification()
    autresGainsUsagerNiveauSimplification = property(get_autresGainsUsagerNiveauSimplification)

    def get_gainsUsagerNiveauInformatique(self):
        return self.o.getGainsUsagerNiveauInformatique()
    gainsUsagerNiveauInformatique = property(get_gainsUsagerNiveauInformatique)

    def get_autresGainsUsagerNiveauInformatique(self):
        return self.o.getAutresGainsUsagerNiveauInformatique()
    autresGainsUsagerNiveauInformatique = property(get_autresGainsUsagerNiveauInformatique)

    def get_gainsAdministrationNiveauSimplification(self):
        return self.o.getGainsAdministrationNiveauSimplification()
    gainsAdministrationNiveauSimplification = property(get_gainsAdministrationNiveauSimplification)

    def get_autresGainsAdministrationNiveauSimplification(self):
        return self.o.getAutresGainsAdministrationNiveauSimplification()
    autresGainsAdministrationNiveauSimplification = property(get_autresGainsAdministrationNiveauSimplification)

    def get_gainsAdministrationNiveauInformatique(self):
        return self.o.getGainsAdministrationNiveauInformatique()
    gainsAdministrationNiveauInformatique = property(get_gainsAdministrationNiveauInformatique)

    def get_autresGainsAdministrationNiveauInformatique(self):
        return self.o.getAutresGainsAdministrationNiveauInformatique()
    autresGainsAdministrationNiveauInformatique = property(get_autresGainsAdministrationNiveauInformatique)

    def get_nombreDePagesAvant(self):
        return self.o.getNombreDePagesAvant()
    nombreDePagesAvant = property(get_nombreDePagesAvant)

    def get_nombreDePagesApres(self):
        return self.o.getNombreDePagesApres()
    nombreDePagesApres = property(get_nombreDePagesApres)

    def get_langueDuFormulaireAvant(self):
        return self.o.getLangueDuFormulaireAvant()
    langueDuFormulaireAvant = property(get_langueDuFormulaireAvant)

    def get_langueDuFormulaireApres(self):
        return self.o.getLangueDuFormulaireApres()
    langueDuFormulaireApres = property(get_langueDuFormulaireApres)

    def get_formatDeDocumentAvant(self):
        return self.o.getFormatDeDocumentAvant()
    formatDeDocumentAvant = property(get_formatDeDocumentAvant)

    def get_formatDeDocumentApres(self):
        return self.o.getFormatDeDocumentApres()
    formatDeDocumentApres = property(get_formatDeDocumentApres)

    def get_existenceDUneNoticeAvant(self):
        return self.o.getExistenceDUneNoticeAvant()
    existenceDUneNoticeAvant = property(get_existenceDUneNoticeAvant)

    def get_existenceDUneNoticeApres(self):
        return self.o.getExistenceDUneNoticeApres()
    existenceDUneNoticeApres = property(get_existenceDUneNoticeApres)

    def get_nombreDePagesDeLaNoticeAvant(self):
        return self.o.getNombreDePagesDeLaNoticeAvant()
    nombreDePagesDeLaNoticeAvant = property(get_nombreDePagesDeLaNoticeAvant)

    def get_nombreDePagesDeLaNoticeApres(self):
        return self.o.getNombreDePagesDeLaNoticeApres()
    nombreDePagesDeLaNoticeApres = property(get_nombreDePagesDeLaNoticeApres)

    def get_existenceDAnnexesAvant(self):
        return self.o.getExistenceDAnnexesAvant()
    existenceDAnnexesAvant = property(get_existenceDAnnexesAvant)

    def get_existenceDAnnexesApres(self):
        return self.o.getExistenceDAnnexesApres()
    existenceDAnnexesApres = property(get_existenceDAnnexesApres)

    def get_annexesAvant(self):
        return self.o.getAnnexesAvant()
    annexesAvant = property(get_annexesAvant)

    def get_annexesApres(self):
        return self.o.getAnnexesApres()
    annexesApres = property(get_annexesApres)

    def get_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant(self):
        return self.o.getNombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant()
    nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant = property(get_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant)

    def get_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres(self):
        return self.o.getNombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres()
    nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres = property(get_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres)

    def get_nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant(self):
        return self.o.getNombreDAnnexesRemplaceesParSourcesAuthentiquesAvant()
    nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant = property(get_nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant)

    def get_nombreDAnnexesRemplaceesParSourcesAuthentiquesApres(self):
        return self.o.getNombreDAnnexesRemplaceesParSourcesAuthentiquesApres()
    nombreDAnnexesRemplaceesParSourcesAuthentiquesApres = property(get_nombreDAnnexesRemplaceesParSourcesAuthentiquesApres)

    def get_annexesRemplaceesAvant(self):
        return self.o.getAnnexesRemplaceesAvant()
    annexesRemplaceesAvant = property(get_annexesRemplaceesAvant)

    def get_annexesRemplaceesApres(self):
        return self.o.getAnnexesRemplaceesApres()
    annexesRemplaceesApres = property(get_annexesRemplaceesApres)

    def get_existenceDAutresDocumentsLiesAvant(self):
        return self.o.getExistenceDAutresDocumentsLiesAvant()
    existenceDAutresDocumentsLiesAvant = property(get_existenceDAutresDocumentsLiesAvant)

    def get_existenceDAutresDocumentsLiesApres(self):
        return self.o.getExistenceDAutresDocumentsLiesApres()
    existenceDAutresDocumentsLiesApres = property(get_existenceDAutresDocumentsLiesApres)

    def get_documentsLiesAvant(self):
        return self.o.getDocumentsLiesAvant()
    documentsLiesAvant = property(get_documentsLiesAvant)

    def get_documentsLiesApres(self):
        return self.o.getDocumentsLiesApres()
    documentsLiesApres = property(get_documentsLiesApres)

    def get_typeDeFormulaireAvant(self):
        return self.o.getTypeDeFormulaireAvant()
    typeDeFormulaireAvant = property(get_typeDeFormulaireAvant)

    def get_typeDeFormulaireApres(self):
        return self.o.getTypeDeFormulaireApres()
    typeDeFormulaireApres = property(get_typeDeFormulaireApres)

    def get_respectDeLaCharteAvant(self):
        return self.o.getRespectDeLaCharteAvant()
    respectDeLaCharteAvant = property(get_respectDeLaCharteAvant)

    def get_respectDeLaCharteApres(self):
        return self.o.getRespectDeLaCharteApres()
    respectDeLaCharteApres = property(get_respectDeLaCharteApres)

    def get_simplifieAvant(self):
        return self.o.getSimplifieAvant()
    simplifieAvant = property(get_simplifieAvant)

    def get_simplifieApres(self):
        return self.o.getSimplifieApres()
    simplifieApres = property(get_simplifieApres)

    def get_simplificationsAvant(self):
        return self.o.getSimplificationsAvant()
    simplificationsAvant = property(get_simplificationsAvant)

    def get_simplificationsApres(self):
        return self.o.getSimplificationsApres()
    simplificationsApres = property(get_simplificationsApres)

    def get_diffusionSurSiteFormulairesAvant(self):
        return self.o.getDiffusionSurSiteFormulairesAvant()
    diffusionSurSiteFormulairesAvant = property(get_diffusionSurSiteFormulairesAvant)

    def get_diffusionSurSiteFormulairesApres(self):
        return self.o.getDiffusionSurSiteFormulairesApres()
    diffusionSurSiteFormulairesApres = property(get_diffusionSurSiteFormulairesApres)

    def get_autresSitesDeDiffusionAvant(self):
        return self.o.getAutresSitesDeDiffusionAvant()
    autresSitesDeDiffusionAvant = property(get_autresSitesDeDiffusionAvant)

    def get_autresSitesDeDiffusionApres(self):
        return self.o.getAutresSitesDeDiffusionApres()
    autresSitesDeDiffusionApres = property(get_autresSitesDeDiffusionApres)

    def get_nombreDeFormulairesDemandesParAnAvant(self):
        return self.o.getNombreDeFormulairesDemandesParAnAvant()
    nombreDeFormulairesDemandesParAnAvant = property(get_nombreDeFormulairesDemandesParAnAvant)

    def get_nombreDeFormulairesDemandesParAnApres(self):
        return self.o.getNombreDeFormulairesDemandesParAnApres()
    nombreDeFormulairesDemandesParAnApres = property(get_nombreDeFormulairesDemandesParAnApres)

    def get_statut(self):
        appyType = getattr(self.klass, "statut")
        return self.o.getComputedValue(appyType.__dict__)
    statut = property(get_statut)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class Oasif_Formulaire_Personne_Wrapper(AbstractWrapper, Oasif.Formulaire.Personne):
    def get_title(self):
        return self.o.Title()
    title = property(get_title)

    def get_prenom(self):
        return self.o.getPrenom()
    prenom = property(get_prenom)

    def get_nom(self):
        return self.o.getNom()
    nom = property(get_nom)

    def get_telephone(self):
        return self.o.getTelephone()
    telephone = property(get_telephone)

    def get_courriel(self):
        return self.o.getCourriel()
    courriel = property(get_courriel)

    def get_fonction(self):
        return self.o.getFonction()
    fonction = property(get_fonction)

    def get_fax(self):
        return self.o.getFax()
    fax = property(get_fax)

    def get_actif(self):
        return self.o.getActif()
    actif = property(get_actif)


class Oasif_Formulaire_Travail_Wrapper(AbstractWrapper, Oasif.Formulaire.Travail):
    def get_title(self):
        return self.o.Title()
    title = property(get_title)

    def get_intervenantEasiWal(self):
        return self.o._appy_getRefs("intervenantEasiWal", noListIfSingleObj=True)
    intervenantEasiWal = property(get_intervenantEasiWal)

    def get_echeanceDemandee(self):
        return self.o.getEcheanceDemandee()
    echeanceDemandee = property(get_echeanceDemandee)

    def get_echeancePossible(self):
        return self.o.getEcheancePossible()
    echeancePossible = property(get_echeancePossible)

    def get_raisonDeLAttente(self):
        return self.o.getRaisonDeLAttente()
    raisonDeLAttente = property(get_raisonDeLAttente)

    def get_pourcentageDejaRealise(self):
        return self.o.getPourcentageDejaRealise()
    pourcentageDejaRealise = property(get_pourcentageDejaRealise)

    def get_dateDeFin(self):
        return self.o.getDateDeFin()
    dateDeFin = property(get_dateDeFin)

    def get_documentProduit1(self):
        v = self.o.getDocumentProduit1()
        if not v: return None
        else: return FileWrapper(v)
    documentProduit1 = property(get_documentProduit1)

    def get_documentProduit2(self):
        v = self.o.getDocumentProduit2()
        if not v: return None
        else: return FileWrapper(v)
    documentProduit2 = property(get_documentProduit2)

    def get_documentProduit3(self):
        v = self.o.getDocumentProduit3()
        if not v: return None
        else: return FileWrapper(v)
    documentProduit3 = property(get_documentProduit3)

    def get_documentProduit4(self):
        v = self.o.getDocumentProduit4()
        if not v: return None
        else: return FileWrapper(v)
    documentProduit4 = property(get_documentProduit4)

    def get_remarquesEventuelles(self):
        return self.o.getRemarquesEventuelles()
    remarquesEventuelles = property(get_remarquesEventuelles)

    def get_retourAuFormulaireLieACeTravailDeSimplification(self):
        return self.o._appy_getRefsBack("retourAuFormulaireLieACeTravailDeSimplification", "Oasif_Formulaire_Formulaire_travailDeSimplification_rel", noListIfSingleObj=True)
    retourAuFormulaireLieACeTravailDeSimplification = property(get_retourAuFormulaireLieACeTravailDeSimplification)

    def get_retourAuFormulaireLieACeTravailDeMiseEnLigne(self):
        return self.o._appy_getRefsBack("retourAuFormulaireLieACeTravailDeMiseEnLigne", "Oasif_Formulaire_Formulaire_travailDeMiseEnLigne_rel", noListIfSingleObj=True)
    retourAuFormulaireLieACeTravailDeMiseEnLigne = property(get_retourAuFormulaireLieACeTravailDeMiseEnLigne)


class Oasif_Formulaire_SousTraitant_Wrapper(AbstractWrapper, Oasif.Formulaire.SousTraitant):
    def get_numero(self):
        return self.o.getNumero()
    numero = property(get_numero)

    def get_adresse(self):
        return self.o.getAdresse()
    adresse = property(get_adresse)

    def get_employes(self):
        return self.o._appy_getRefs("employes", noListIfSingleObj=True)
    employes = property(get_employes)

    def get_retourALaConfig(self):
        return self.o._appy_getRefsBack("retourALaConfig", "OasifTool_sousTraitants_rel", noListIfSingleObj=True)
    retourALaConfig = property(get_retourALaConfig)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class Oasif_Formulaire_Administration_Wrapper(AbstractWrapper, Oasif.Formulaire.Administration):
    def get_directionGenerale(self):
        return self.o.getDirectionGenerale()
    directionGenerale = property(get_directionGenerale)

    def get_division(self):
        return self.o.getDivision()
    division = property(get_division)

    def get_direction(self):
        return self.o.getDirection()
    direction = property(get_direction)

    def get_service(self):
        return self.o.getService()
    service = property(get_service)

    def get_siteWeb(self):
        return self.o.getSiteWeb()
    siteWeb = property(get_siteWeb)

    def get_telephone(self):
        return self.o.getTelephone()
    telephone = property(get_telephone)

    def get_fax(self):
        return self.o.getFax()
    fax = property(get_fax)

    def get_emailGeneral(self):
        return self.o.getEmailGeneral()
    emailGeneral = property(get_emailGeneral)

    def get_adresse(self):
        return self.o.getAdresse()
    adresse = property(get_adresse)

    def get_numero(self):
        return self.o.getNumero()
    numero = property(get_numero)

    def get_codePostal(self):
        return self.o.getCodePostal()
    codePostal = property(get_codePostal)

    def get_commune(self):
        return self.o.getCommune()
    commune = property(get_commune)

    def get_agents(self):
        return self.o._appy_getRefs("agents", noListIfSingleObj=True)
    agents = property(get_agents)

    def get_formulairesEnTantQuAdresseDeRenvoi(self):
        return self.o._appy_getRefsBack("formulairesEnTantQuAdresseDeRenvoi", "Oasif_Formulaire_Formulaire_adresseDeRenvoi_rel", noListIfSingleObj=True)
    formulairesEnTantQuAdresseDeRenvoi = property(get_formulairesEnTantQuAdresseDeRenvoi)

    def get_retourALaConfig(self):
        return self.o._appy_getRefsBack("retourALaConfig", "OasifTool_administrations_rel", noListIfSingleObj=True)
    retourALaConfig = property(get_retourALaConfig)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class Oasif_Formulaire_AgentInterne_Wrapper(Oasif_Formulaire_Personne_Wrapper, Oasif.Formulaire.AgentInterne):
    def get_description(self):
        return self.o.Description()
    description = property(get_description)

    def get_travauxEnTantQueDeveloppeur(self):
        return self.o._appy_getRefsBack("travauxEnTantQueDeveloppeur", "Oasif_Formulaire_TravailInformatique_developpeurInterne_rel", noListIfSingleObj=True)
    travauxEnTantQueDeveloppeur = property(get_travauxEnTantQueDeveloppeur)

    def get_travauxEnTantQuIntervenantEasiWal(self):
        return self.o._appy_getRefsBack("travauxEnTantQuIntervenantEasiWal", "Oasif_Formulaire_Travail_intervenantEasiWal_rel", noListIfSingleObj=True)
    travauxEnTantQuIntervenantEasiWal = property(get_travauxEnTantQuIntervenantEasiWal)

    def get_formulairesEnTantQuAutrePersonneDeContact(self):
        return self.o._appy_getRefsBack("formulairesEnTantQuAutrePersonneDeContact", "Oasif_Formulaire_Formulaire_autresPersonnesDeContact_rel", noListIfSingleObj=True)
    formulairesEnTantQuAutrePersonneDeContact = property(get_formulairesEnTantQuAutrePersonneDeContact)

    def get_formulairesEnTantQueChefDeProjet(self):
        return self.o._appy_getRefsBack("formulairesEnTantQueChefDeProjet", "Oasif_Formulaire_Formulaire_chefDeProjetCoteEasi_rel", noListIfSingleObj=True)
    formulairesEnTantQueChefDeProjet = property(get_formulairesEnTantQueChefDeProjet)

    def get_retourALaConfig(self):
        return self.o._appy_getRefsBack("retourALaConfig", "OasifTool_agentsInternes_rel", noListIfSingleObj=True)
    retourALaConfig = property(get_retourALaConfig)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class Oasif_Formulaire_TravailInformatique_Wrapper(Oasif_Formulaire_Travail_Wrapper, Oasif.Formulaire.TravailInformatique):
    def get_developpeurInterne(self):
        return self.o._appy_getRefs("developpeurInterne", noListIfSingleObj=True)
    developpeurInterne = property(get_developpeurInterne)

    def get_developpeurExterne(self):
        return self.o._appy_getRefs("developpeurExterne", noListIfSingleObj=True)
    developpeurExterne = property(get_developpeurExterne)

    def get_application(self):
        return self.o.getApplication()
    application = property(get_application)

    def get_descriptionDeLApplication(self):
        return self.o.getDescriptionDeLApplication()
    descriptionDeLApplication = property(get_descriptionDeLApplication)

    def get_prestataire(self):
        return self.o.getPrestataire()
    prestataire = property(get_prestataire)

    def get_coordonneesDuResponsable(self):
        return self.o.getCoordonneesDuResponsable()
    coordonneesDuResponsable = property(get_coordonneesDuResponsable)

    def get_retourAuFormulaireLieACeTravailDInformatisation(self):
        return self.o._appy_getRefsBack("retourAuFormulaireLieACeTravailDInformatisation", "Oasif_Formulaire_Formulaire_travailDInformatisation_rel", noListIfSingleObj=True)
    retourAuFormulaireLieACeTravailDInformatisation = property(get_retourAuFormulaireLieACeTravailDInformatisation)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class Oasif_Formulaire_Ministre_Wrapper(Oasif_Formulaire_Personne_Wrapper, Oasif.Formulaire.Ministre):
    def get_description(self):
        return self.o.Description()
    description = property(get_description)

    def get_formulairesCorrespondants(self):
        return self.o._appy_getRefsBack("formulairesCorrespondants", "Oasif_Formulaire_Formulaire_ministreConcerne_rel", noListIfSingleObj=True)
    formulairesCorrespondants = property(get_formulairesCorrespondants)

    def get_retourALaConfig(self):
        return self.o._appy_getRefsBack("retourALaConfig", "OasifTool_ministres_rel", noListIfSingleObj=True)
    retourALaConfig = property(get_retourALaConfig)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class Oasif_Formulaire_Employe_Wrapper(Oasif_Formulaire_Personne_Wrapper, Oasif.Formulaire.Employe):
    def get_description(self):
        return self.o.Description()
    description = property(get_description)

    def get_employeur(self):
        return self.o._appy_getRefsBack("employeur", "Oasif_Formulaire_SousTraitant_employes_rel", noListIfSingleObj=True)
    employeur = property(get_employeur)

    def get_travauxEnTantQueDeveloppeur(self):
        return self.o._appy_getRefsBack("travauxEnTantQueDeveloppeur", "Oasif_Formulaire_TravailInformatique_developpeurExterne_rel", noListIfSingleObj=True)
    travauxEnTantQueDeveloppeur = property(get_travauxEnTantQueDeveloppeur)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class Oasif_Formulaire_Agent_Wrapper(Oasif_Formulaire_Personne_Wrapper, Oasif.Formulaire.Agent):
    def get_description(self):
        return self.o.Description()
    description = property(get_description)

    def get_administration(self):
        return self.o._appy_getRefsBack("administration", "Oasif_Formulaire_Administration_agents_rel", noListIfSingleObj=True)
    administration = property(get_administration)

    def get_formulairesEnTantQuePersonneDeContact(self):
        return self.o._appy_getRefsBack("formulairesEnTantQuePersonneDeContact", "Oasif_Formulaire_Formulaire_personnesDeContact_rel", noListIfSingleObj=True)
    formulairesEnTantQuePersonneDeContact = property(get_formulairesEnTantQuePersonneDeContact)

    def get_formulairesEnTantQuAgentValidant(self):
        return self.o._appy_getRefsBack("formulairesEnTantQuAgentValidant", "Oasif_Formulaire_Formulaire_fonctionnaireValidant_rel", noListIfSingleObj=True)
    formulairesEnTantQuAgentValidant = property(get_formulairesEnTantQuAgentValidant)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


class OasifTool_Wrapper(OasifTool_Wrapper, Oasif.ToolOasif.ToolOasif):
    def get_numeroDuDernierFormulaire(self):
        return self.o.getNumeroDuDernierFormulaire()
    numeroDuDernierFormulaire = property(get_numeroDuDernierFormulaire)

    def get_familles(self):
        return self.o._appy_getRefs("familles", noListIfSingleObj=True)
    familles = property(get_familles)

    def get_administrations(self):
        return self.o._appy_getRefs("administrations", noListIfSingleObj=True)
    administrations = property(get_administrations)

    def get_agentsInternes(self):
        return self.o._appy_getRefs("agentsInternes", noListIfSingleObj=True)
    agentsInternes = property(get_agentsInternes)

    def get_ministres(self):
        return self.o._appy_getRefs("ministres", noListIfSingleObj=True)
    ministres = property(get_ministres)

    def get_sousTraitants(self):
        return self.o._appy_getRefs("sousTraitants", noListIfSingleObj=True)
    sousTraitants = property(get_sousTraitants)

    def get_typesDeDemarches(self):
        return self.o._appy_getRefs("typesDeDemarches", noListIfSingleObj=True)
    typesDeDemarches = property(get_typesDeDemarches)

    def get_install(self):
        return self.o.getInstall()
    install = property(get_install)

    def get_title(self):
        return self.o.Title()
    title = property(get_title)


# ------------------------------------------------------------------------------
