# -*- coding: utf-8 -*-
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

from Products.CMFCore.WorkflowTool import addWorkflowFactory
from Products.DCWorkflow.DCWorkflow import DCWorkflowDefinition
from appy.gen.plone25.workflow import WorkflowCreator
from Products.Oasif.config import PROJECTNAME
from Products.ExternalMethod.ExternalMethod import ExternalMethod
import logging
logger = logging.getLogger('Oasif')
from appy.gen.plone25.workflow import do

def oasif_formulaire_processustravail_doAnnuler(self, stateChange, **kw): do("annuler", stateChange, logger)
def oasif_formulaire_processustravail_doAttribuerEnExterneEnAttenteInterneToEnAttenteExterne(self, stateChange, **kw): do("attribuerEnExterneEnAttenteInterneToEnAttenteExterne", stateChange, logger)
def oasif_formulaire_processustravail_doAttribuerEnExterneEnCoursToEnAttenteExterne(self, stateChange, **kw): do("attribuerEnExterneEnCoursToEnAttenteExterne", stateChange, logger)
def oasif_formulaire_processustravail_doAttribuerEnInterneEnAttenteInterneToEnCours(self, stateChange, **kw): do("attribuerEnInterneEnAttenteInterneToEnCours", stateChange, logger)
def oasif_formulaire_processustravail_doAttribuerEnInterneEnCoursToEnAttenteInterne(self, stateChange, **kw): do("attribuerEnInterneEnCoursToEnAttenteInterne", stateChange, logger)
def oasif_formulaire_processustravail_doReceptionnerTravailExterne(self, stateChange, **kw): do("receptionnerTravailExterne", stateChange, logger)
def oasif_formulaire_processustravail_doTerminer(self, stateChange, **kw): do("terminer", stateChange, logger)

def create_oasif_formulaire_processustravail(self, id):
    stateNames = ["enAttenteExterne","enAttenteInterne","enCours","termine"]
    stateInfos = {
    "enAttenteExterne": (["receptionnerTravailExterne"], {"Review portal content": ["Manager","GestionnaireFormulaires"],"Modify portal content": ["Manager","GestionnaireFormulaires"],"Delete objects": [],"Access contents information": ["Manager","GestionnaireFormulaires"],"View": ["Manager","GestionnaireFormulaires"],}),
    "enCours": (["attribuerEnExterneEnCoursToEnAttenteExterne","attribuerEnInterneEnCoursToEnAttenteInterne","terminer"], {"Review portal content": ["Manager","GestionnaireFormulaires"],"Modify portal content": ["Manager","GestionnaireFormulaires"],"Delete objects": [],"Access contents information": ["Manager","GestionnaireFormulaires"],"View": ["Manager","GestionnaireFormulaires"],}),
    "termine": (["annuler"], {"Review portal content": ["Manager","GestionnaireFormulaires"],"Modify portal content": ["Manager","GestionnaireFormulaires"],"Delete objects": [],"Access contents information": ["Manager","GestionnaireFormulaires"],"View": ["Manager","GestionnaireFormulaires"],}),
    "enAttenteInterne": (["attribuerEnExterneEnAttenteInterneToEnAttenteExterne","attribuerEnInterneEnAttenteInterneToEnCours"], {"Review portal content": ["Manager","GestionnaireFormulaires"],"Modify portal content": ["Manager","GestionnaireFormulaires"],"Delete objects": ["Manager","GestionnaireFormulaires"],"Access contents information": ["Manager","GestionnaireFormulaires"],"View": ["Manager","GestionnaireFormulaires"],}),}
    transitionNames = ["annuler","attribuerEnExterneEnAttenteInterneToEnAttenteExterne","attribuerEnExterneEnCoursToEnAttenteExterne","attribuerEnInterneEnAttenteInterneToEnCours","attribuerEnInterneEnCoursToEnAttenteInterne","receptionnerTravailExterne","terminer"]
    transitionInfos = {
    "attribuerEnInterneEnAttenteInterneToEnCours": "enCours",
    "attribuerEnExterneEnAttenteInterneToEnAttenteExterne": "enAttenteExterne",
    "receptionnerTravailExterne": "enCours",
    "annuler": "enCours",
    "terminer": "termine",
    "attribuerEnInterneEnCoursToEnAttenteInterne": "enAttenteInterne",
    "attribuerEnExterneEnCoursToEnAttenteExterne": "enAttenteExterne",}
    managedPermissions = ["Review portal content","Modify portal content","Delete objects","Access contents information","View"]
    return WorkflowCreator("oasif_formulaire_processustravail", DCWorkflowDefinition, stateNames, "enAttenteInterne", stateInfos, transitionNames, transitionInfos, managedPermissions, PROJECTNAME, ExternalMethod).run()
addWorkflowFactory(create_oasif_formulaire_processustravail,
    id="oasif_formulaire_processustravail",
    title="oasif_formulaire_processustravail")


