# -*- coding: utf-8 -*-
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
import Products.Oasif.config
from appy.gen.plone25.mixins.FlavourMixin import FlavourMixin
from Extensions.appyWrappers import OasifFlavour_Wrapper

predefinedSchema = Schema((
    IntegerField(
        default=1,
        name='number',
        widget=IntegerWidget(
            label_msgid='OasifFlavour_number',
            i18n_domain='Oasif',
            description='OasifFlavour_numberDescr',
            description_msgid='OasifFlavour_number_descr',
            label='number',
        )
    ),

    BooleanField(
        default=True,
        schemata='notifications',
        name='enableNotifications',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_enableNotifications',
            i18n_domain='Oasif',
            description='OasifFlavour_enableNotificationsDescr',
            description_msgid='OasifFlavour_enableNotifications_descr',
            label='enableNotifications',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowForOasif_Formulaire_Administration',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Administration',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasif_Formulaire_AdministrationDescr',
            description_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Administration_descr',
            label='showWorkflowForOasif_Formulaire_Administration',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasif_Formulaire_Administration',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Administration',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_AdministrationDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Administration_descr',
            label='showWorkflowCommentFieldForOasif_Formulaire_Administration',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasif_Formulaire_Administration',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Administration',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_AdministrationDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Administration_descr',
            label='showAllStatesInPhaseForOasif_Formulaire_Administration',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowForOasif_Formulaire_SousTraitant',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_SousTraitant',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasif_Formulaire_SousTraitantDescr',
            description_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_SousTraitant_descr',
            label='showWorkflowForOasif_Formulaire_SousTraitant',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasif_Formulaire_SousTraitant',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_SousTraitant',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_SousTraitantDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_SousTraitant_descr',
            label='showWorkflowCommentFieldForOasif_Formulaire_SousTraitant',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasif_Formulaire_SousTraitant',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_SousTraitant',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_SousTraitantDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_SousTraitant_descr',
            label='showAllStatesInPhaseForOasif_Formulaire_SousTraitant',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowForOasif_Formulaire_AgentInterne',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_AgentInterne',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasif_Formulaire_AgentInterneDescr',
            description_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_AgentInterne_descr',
            label='showWorkflowForOasif_Formulaire_AgentInterne',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasif_Formulaire_AgentInterne',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_AgentInterne',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_AgentInterneDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_AgentInterne_descr',
            label='showWorkflowCommentFieldForOasif_Formulaire_AgentInterne',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasif_Formulaire_AgentInterne',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_AgentInterne',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_AgentInterneDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_AgentInterne_descr',
            label='showAllStatesInPhaseForOasif_Formulaire_AgentInterne',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowForOasif_Formulaire_TravailInformatique',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_TravailInformatique',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasif_Formulaire_TravailInformatiqueDescr',
            description_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_TravailInformatique_descr',
            label='showWorkflowForOasif_Formulaire_TravailInformatique',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasif_Formulaire_TravailInformatique',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_TravailInformatique',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_TravailInformatiqueDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_TravailInformatique_descr',
            label='showWorkflowCommentFieldForOasif_Formulaire_TravailInformatique',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasif_Formulaire_TravailInformatique',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_TravailInformatique',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_TravailInformatiqueDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_TravailInformatique_descr',
            label='showAllStatesInPhaseForOasif_Formulaire_TravailInformatique',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowForOasif_Formulaire_Travail',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Travail',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasif_Formulaire_TravailDescr',
            description_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Travail_descr',
            label='showWorkflowForOasif_Formulaire_Travail',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasif_Formulaire_Travail',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Travail',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_TravailDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Travail_descr',
            label='showWorkflowCommentFieldForOasif_Formulaire_Travail',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasif_Formulaire_Travail',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Travail',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_TravailDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Travail_descr',
            label='showAllStatesInPhaseForOasif_Formulaire_Travail',
        )
    ),

    BooleanField(
        default=True,
        schemata='userInterface',
        name='showWorkflowForOasif_Formulaire_Formulaire',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Formulaire',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasif_Formulaire_FormulaireDescr',
            description_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Formulaire_descr',
            label='showWorkflowForOasif_Formulaire_Formulaire',
        )
    ),

    BooleanField(
        default=True,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasif_Formulaire_Formulaire',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Formulaire',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_FormulaireDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Formulaire_descr',
            label='showWorkflowCommentFieldForOasif_Formulaire_Formulaire',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasif_Formulaire_Formulaire',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Formulaire',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_FormulaireDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Formulaire_descr',
            label='showAllStatesInPhaseForOasif_Formulaire_Formulaire',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowForOasif_Formulaire_Ministre',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Ministre',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasif_Formulaire_MinistreDescr',
            description_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Ministre_descr',
            label='showWorkflowForOasif_Formulaire_Ministre',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasif_Formulaire_Ministre',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Ministre',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_MinistreDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Ministre_descr',
            label='showWorkflowCommentFieldForOasif_Formulaire_Ministre',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasif_Formulaire_Ministre',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Ministre',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_MinistreDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Ministre_descr',
            label='showAllStatesInPhaseForOasif_Formulaire_Ministre',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowForOasif_Formulaire_Employe',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Employe',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasif_Formulaire_EmployeDescr',
            description_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Employe_descr',
            label='showWorkflowForOasif_Formulaire_Employe',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasif_Formulaire_Employe',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Employe',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_EmployeDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Employe_descr',
            label='showWorkflowCommentFieldForOasif_Formulaire_Employe',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasif_Formulaire_Employe',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Employe',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_EmployeDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Employe_descr',
            label='showAllStatesInPhaseForOasif_Formulaire_Employe',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowForOasif_Formulaire_Agent',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Agent',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasif_Formulaire_AgentDescr',
            description_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Agent_descr',
            label='showWorkflowForOasif_Formulaire_Agent',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasif_Formulaire_Agent',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Agent',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_AgentDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Agent_descr',
            label='showWorkflowCommentFieldForOasif_Formulaire_Agent',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasif_Formulaire_Agent',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Agent',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_AgentDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Agent_descr',
            label='showAllStatesInPhaseForOasif_Formulaire_Agent',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowForOasif_Formulaire_TypeDeDemarche',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_TypeDeDemarche',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasif_Formulaire_TypeDeDemarcheDescr',
            description_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_TypeDeDemarche_descr',
            label='showWorkflowForOasif_Formulaire_TypeDeDemarche',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasif_Formulaire_TypeDeDemarche',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_TypeDeDemarche',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_TypeDeDemarcheDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_TypeDeDemarche_descr',
            label='showWorkflowCommentFieldForOasif_Formulaire_TypeDeDemarche',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasif_Formulaire_TypeDeDemarche',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_TypeDeDemarche',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_TypeDeDemarcheDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_TypeDeDemarche_descr',
            label='showAllStatesInPhaseForOasif_Formulaire_TypeDeDemarche',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowForOasif_Formulaire_Famille',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Famille',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasif_Formulaire_FamilleDescr',
            description_msgid='OasifFlavour_showWorkflowForOasif_Formulaire_Famille_descr',
            label='showWorkflowForOasif_Formulaire_Famille',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasif_Formulaire_Famille',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Famille',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_FamilleDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasif_Formulaire_Famille_descr',
            label='showWorkflowCommentFieldForOasif_Formulaire_Famille',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasif_Formulaire_Famille',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Famille',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_FamilleDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasif_Formulaire_Famille_descr',
            label='showAllStatesInPhaseForOasif_Formulaire_Famille',
        )
    ),

    LinesField(
        enforceVocabulary=True,
        schemata='userInterface',
        name='resultColumnsForOasif_Formulaire_Formulaire',
        vocabulary='list_resultColumnsForOasif_Formulaire_Formulaire_values',
        multiValued=True,
        widget=MultiSelectionWidget(
            label_msgid='OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire',
            i18n_domain='Oasif',
            description='OasifFlavour_resultColumnsForOasif_Formulaire_FormulaireDescr',
            description_msgid='OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_descr',
            label='resultColumnsForOasif_Formulaire_Formulaire',
        )
    ),

    BooleanField(
        default=True,
        schemata='userInterface',
        name='showWorkflowForOasifFlavour',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasifFlavour',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasifFlavourDescr',
            description_msgid='OasifFlavour_showWorkflowForOasifFlavour_descr',
            label='showWorkflowForOasifFlavour',
        )
    ),

    BooleanField(
        default=True,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasifFlavour',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasifFlavour',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasifFlavourDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasifFlavour_descr',
            label='showWorkflowCommentFieldForOasifFlavour',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasifFlavour',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasifFlavour',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasifFlavourDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasifFlavour_descr',
            label='showAllStatesInPhaseForOasifFlavour',
        )
    ),

    BooleanField(
        default=True,
        schemata='userInterface',
        name='showWorkflowForOasifPodTemplate',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowForOasifPodTemplate',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowForOasifPodTemplateDescr',
            description_msgid='OasifFlavour_showWorkflowForOasifPodTemplate_descr',
            label='showWorkflowForOasifPodTemplate',
        )
    ),

    BooleanField(
        default=True,
        schemata='userInterface',
        name='showWorkflowCommentFieldForOasifPodTemplate',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showWorkflowCommentFieldForOasifPodTemplate',
            i18n_domain='Oasif',
            description='OasifFlavour_showWorkflowCommentFieldForOasifPodTemplateDescr',
            description_msgid='OasifFlavour_showWorkflowCommentFieldForOasifPodTemplate_descr',
            label='showWorkflowCommentFieldForOasifPodTemplate',
        )
    ),

    BooleanField(
        default=False,
        schemata='userInterface',
        name='showAllStatesInPhaseForOasifPodTemplate',
        widget=BooleanWidget(
            label_msgid='OasifFlavour_showAllStatesInPhaseForOasifPodTemplate',
            i18n_domain='Oasif',
            description='OasifFlavour_showAllStatesInPhaseForOasifPodTemplateDescr',
            description_msgid='OasifFlavour_showAllStatesInPhaseForOasifPodTemplate_descr',
            label='showAllStatesInPhaseForOasifPodTemplate',
        )
    ),

),)
schema = Schema((
),)
fullSchema = OrderedBaseFolderSchema.copy() + predefinedSchema.copy() + schema.copy()

class OasifFlavour(OrderedBaseFolder, FlavourMixin):
    '''Configuration flavour class for Oasif.'''
    security = ClassSecurityInfo()
    __implements__ = (getattr(OrderedBaseFolderSchema,'__implements__',()),)
    archetype_name = 'OasifFlavour'
    meta_type = 'OasifFlavour'
    portal_type = 'OasifFlavour'
    allowed_content_types = []
    filter_content_types = 0
    global_allow = 1
    #content_icon = 'OasifFlavour.gif'
    immediate_view = 'Oasif_appy_view'
    default_view = 'Oasif_appy_view'
    suppl_views = ()
    typeDescription = "OasifFlavour"
    typeDescMsgId = 'OasifFlavour_edit_descr'
    i18nDomain = 'Oasif'
    schema = fullSchema
    allMetaTypes = ['Oasif_Formulaire_Administration', 'Oasif_Formulaire_SousTraitant', 'Oasif_Formulaire_AgentInterne', 'Oasif_Formulaire_TravailInformatique', 'Oasif_Formulaire_Travail', 'Oasif_Formulaire_Personne', 'Oasif_Formulaire_Formulaire', 'Oasif_Formulaire_Ministre', 'Oasif_Formulaire_Employe', 'Oasif_Formulaire_Agent', 'Oasif_Formulaire_TypeDeDemarche', 'Oasif_Formulaire_Famille']
    wrapperClass = OasifFlavour_Wrapper
    _at_rename_after_creation = True

    def at_post_create_script(self): self._appy_onEdit(True)
    def at_post_edit_script(self): self._appy_onEdit(False)
    def post_validate(self, REQUEST=None, errors=None):
        if not errors: self._appy_validateAllFields(REQUEST, errors)
    def getTool(self): return self.portal_oasif
    def getProductConfig(self): return Products.Oasif.config


    def validate_number(self, value):
        return self._appy_validateField('number', value, 'OasifFlavour_number_valid', 'Integer')

    def list_resultColumnsForOasif_Formulaire_Formulaire_values(self):
        return self._appy_getDisplayList(('sousTitre','natureDeLaDemarche','titreAbrege','famille','numero','ministreConcerne','adresseDeRenvoi','personnesDeContact','publicCible','publicCibleSpecifique','descriptionDetaillee','descriptionCourte','bonASavoir','mentions','baseLegale','delaiDeRenvoiEnJours','montant','frequenceDeRemplissageParLeDemandeur','frequenceDeRevisionPotentielleParLAdministration','aMettreEnLigne','misEnLigne','dateDeMiseEnLigne','dateDeFinDeMiseEnLigneEventuelle','theme','ligneDeVie','nombreDeFormulairesTelechargesParAn','nombreDeFormulairesRemplisEnLigneParAn','regles','origineDeLaDemande','dateDeReceptionDeLaDemande','priorite','echeanceDemandee','echeancePossibleCoteEasi','dateDAttributionDuTravail','autresPersonnesDeContact','fonctionnaireValidant','chefDeProjetCoteEasi','dateDeRealisationDuDiagnostic','diagnostic','travailDeSimplification','travailDInformatisation','travailDeMiseEnLigne','gainsUsagerNiveauSimplification','autresGainsUsagerNiveauSimplification','gainsUsagerNiveauInformatique','autresGainsUsagerNiveauInformatique','gainsAdministrationNiveauSimplification','autresGainsAdministrationNiveauSimplification','gainsAdministrationNiveauInformatique','autresGainsAdministrationNiveauInformatique','nombreDePagesAvant','nombreDePagesApres','langueDuFormulaireAvant','langueDuFormulaireApres','formatDeDocumentAvant','formatDeDocumentApres','existenceDUneNoticeAvant','existenceDUneNoticeApres','nombreDePagesDeLaNoticeAvant','nombreDePagesDeLaNoticeApres','existenceDAnnexesAvant','existenceDAnnexesApres','annexesAvant','annexesApres','nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant','nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres','nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant','nombreDAnnexesRemplaceesParSourcesAuthentiquesApres','annexesRemplaceesAvant','annexesRemplaceesApres','existenceDAutresDocumentsLiesAvant','existenceDAutresDocumentsLiesApres','documentsLiesAvant','documentsLiesApres','typeDeFormulaireAvant','typeDeFormulaireApres','respectDeLaCharteAvant','respectDeLaCharteApres','simplifieAvant','simplifieApres','simplificationsAvant','simplificationsApres','diffusionSurSiteFormulairesAvant','diffusionSurSiteFormulairesApres','autresSitesDeDiffusionAvant','autresSitesDeDiffusionApres','nombreDeFormulairesDemandesParAnAvant','nombreDeFormulairesDemandesParAnApres','statut','workflowState',), ('OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_sousTitre','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_natureDeLaDemarche','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_titreAbrege','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_famille','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_numero','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_ministreConcerne','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_adresseDeRenvoi','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_personnesDeContact','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_publicCible','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_publicCibleSpecifique','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_descriptionDetaillee','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_descriptionCourte','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_bonASavoir','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_mentions','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_baseLegale','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_delaiDeRenvoiEnJours','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_montant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_frequenceDeRemplissageParLeDemandeur','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_frequenceDeRevisionPotentielleParLAdministration','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_aMettreEnLigne','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_misEnLigne','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_dateDeMiseEnLigne','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_dateDeFinDeMiseEnLigneEventuelle','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_theme','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_ligneDeVie','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDeFormulairesTelechargesParAn','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDeFormulairesRemplisEnLigneParAn','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_regles','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_origineDeLaDemande','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_dateDeReceptionDeLaDemande','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_priorite','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_echeanceDemandee','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_echeancePossibleCoteEasi','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_dateDAttributionDuTravail','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_autresPersonnesDeContact','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_fonctionnaireValidant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_chefDeProjetCoteEasi','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_dateDeRealisationDuDiagnostic','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_diagnostic','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_travailDeSimplification','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_travailDInformatisation','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_travailDeMiseEnLigne','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_gainsUsagerNiveauSimplification','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_autresGainsUsagerNiveauSimplification','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_gainsUsagerNiveauInformatique','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_autresGainsUsagerNiveauInformatique','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_gainsAdministrationNiveauSimplification','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_autresGainsAdministrationNiveauSimplification','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_gainsAdministrationNiveauInformatique','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_autresGainsAdministrationNiveauInformatique','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDePagesAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDePagesApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_langueDuFormulaireAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_langueDuFormulaireApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_formatDeDocumentAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_formatDeDocumentApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_existenceDUneNoticeAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_existenceDUneNoticeApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDePagesDeLaNoticeAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDePagesDeLaNoticeApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_existenceDAnnexesAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_existenceDAnnexesApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_annexesAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_annexesApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDAnnexesRemplaceesParSourcesAuthentiquesApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_annexesRemplaceesAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_annexesRemplaceesApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_existenceDAutresDocumentsLiesAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_existenceDAutresDocumentsLiesApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_documentsLiesAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_documentsLiesApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_typeDeFormulaireAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_typeDeFormulaireApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_respectDeLaCharteAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_respectDeLaCharteApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_simplifieAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_simplifieApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_simplificationsAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_simplificationsApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_diffusionSurSiteFormulairesAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_diffusionSurSiteFormulairesApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_autresSitesDeDiffusionAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_autresSitesDeDiffusionApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDeFormulairesDemandesParAnAvant','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_nombreDeFormulairesDemandesParAnApres','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_statut','OasifFlavour_resultColumnsForOasif_Formulaire_Formulaire_list_workflowState',), 'Oasif')


registerType(OasifFlavour, 'Oasif')
