# -*- coding: utf-8 -*-
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
import Products.Oasif.config
from Extensions.appyWrappers import Oasif_Formulaire_Administration_Wrapper
from appy.gen.plone25.mixins.ClassMixin import ClassMixin


schema = Schema((
    StringField(
        name='directionGenerale',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_directionGeneraleDescr',
            description_msgid='Oasif_Formulaire_Administration_directionGenerale_descr',
            label_msgid='Oasif_Formulaire_Administration_directionGenerale',
            label='directionGenerale',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='division',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_divisionDescr',
            description_msgid='Oasif_Formulaire_Administration_division_descr',
            label_msgid='Oasif_Formulaire_Administration_division',
            label='division',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='direction',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_directionDescr',
            description_msgid='Oasif_Formulaire_Administration_direction_descr',
            label_msgid='Oasif_Formulaire_Administration_direction',
            label='direction',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='service',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_serviceDescr',
            description_msgid='Oasif_Formulaire_Administration_service_descr',
            label_msgid='Oasif_Formulaire_Administration_service',
            label='service',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='siteWeb',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_siteWebDescr',
            description_msgid='Oasif_Formulaire_Administration_siteWeb_descr',
            label_msgid='Oasif_Formulaire_Administration_siteWeb',
            label='siteWeb',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='telephone',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_telephoneDescr',
            description_msgid='Oasif_Formulaire_Administration_telephone_descr',
            label_msgid='Oasif_Formulaire_Administration_telephone',
            label='telephone',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='fax',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_faxDescr',
            description_msgid='Oasif_Formulaire_Administration_fax_descr',
            label_msgid='Oasif_Formulaire_Administration_fax',
            label='fax',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='emailGeneral',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_emailGeneralDescr',
            description_msgid='Oasif_Formulaire_Administration_emailGeneral_descr',
            label_msgid='Oasif_Formulaire_Administration_emailGeneral',
            label='emailGeneral',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='adresse',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_adresseDescr',
            description_msgid='Oasif_Formulaire_Administration_adresse_descr',
            label_msgid='Oasif_Formulaire_Administration_adresse',
            label='adresse',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='numero',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_numeroDescr',
            description_msgid='Oasif_Formulaire_Administration_numero_descr',
            label_msgid='Oasif_Formulaire_Administration_numero',
            label='numero',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='codePostal',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_codePostalDescr',
            description_msgid='Oasif_Formulaire_Administration_codePostal_descr',
            label_msgid='Oasif_Formulaire_Administration_codePostal',
            label='codePostal',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='commune',
        widget=StringWidget(
            description='Oasif_Formulaire_Administration_communeDescr',
            description_msgid='Oasif_Formulaire_Administration_commune_descr',
            label_msgid='Oasif_Formulaire_Administration_commune',
            label='commune',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    ReferenceField(
        name='agents',
        relationship='Oasif_Formulaire_Administration_agents_rel',
        multiValued=True,
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Administration_agentsDescr',
            description_msgid='Oasif_Formulaire_Administration_agents_descr',
            label_msgid='Oasif_Formulaire_Administration_agents',
            label='agents',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

),)
fullSchema = BaseSchema.copy() + schema.copy()

class Oasif_Formulaire_Administration(BaseContent,ClassMixin):
    '''Administration concernée par la creation d'un formulaire.'''
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,"__implements__",()),)
    archetype_name = 'Oasif_Formulaire_Administration'
    meta_type = 'Oasif_Formulaire_Administration'
    portal_type = 'Oasif_Formulaire_Administration'
    allowed_content_types = []
    filter_content_types = 0
    global_allow = 1
    immediate_view = 'Oasif_appy_view'
    default_view = 'Oasif_appy_view'
    suppl_views = ()
    typeDescription = 'Oasif_Formulaire_Administration'
    typeDescMsgId = 'Oasif_Formulaire_Administration_edit_descr'
    _at_rename_after_creation = True
    i18nDomain = 'Oasif'
    schema = fullSchema
    wrapperClass = Oasif_Formulaire_Administration_Wrapper

    def at_post_create_script(self): self._appy_onEdit(True)
    def at_post_edit_script(self): self._appy_onEdit(False)
    def post_validate(self, REQUEST=None, errors=None):
        if not errors: self._appy_validateAllFields(REQUEST, errors)
    def getTool(self): return self.portal_oasif
    def getProductConfig(self): return Products.Oasif.config


    def validate_agents(self, value):
        return self._appy_validateField('agents', value, 'Oasif_Formulaire_Administration_agents_valid', 'Ref')

    def generateDocument(self):
        '''Generates a document from p_self.'''
        return self._appy_generateDocument()

registerType(Oasif_Formulaire_Administration, 'Oasif')
