# -*- coding: utf-8 -*-
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
import Products.Oasif.config
from Extensions.appyWrappers import Oasif_Formulaire_Famille_Wrapper
from appy.gen.plone25.mixins.ClassMixin import ClassMixin


schema = Schema((
    TextField(
        name='description',
        accessor='Description',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Famille_description',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Famille_descriptionDescr',
            description_msgid='Oasif_Formulaire_Famille_description_descr',
            label='description',
        )
    ),

),)
fullSchema = BaseSchema.copy() + schema.copy()

class Oasif_Formulaire_Famille(BaseContent,ClassMixin):
    '''Famille de formulaires.'''
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,"__implements__",()),)
    archetype_name = 'Oasif_Formulaire_Famille'
    meta_type = 'Oasif_Formulaire_Famille'
    portal_type = 'Oasif_Formulaire_Famille'
    allowed_content_types = []
    filter_content_types = 0
    global_allow = 1
    immediate_view = 'Oasif_appy_view'
    default_view = 'Oasif_appy_view'
    suppl_views = ()
    typeDescription = 'Oasif_Formulaire_Famille'
    typeDescMsgId = 'Oasif_Formulaire_Famille_edit_descr'
    _at_rename_after_creation = True
    i18nDomain = 'Oasif'
    schema = fullSchema
    wrapperClass = Oasif_Formulaire_Famille_Wrapper

    def at_post_create_script(self): self._appy_onEdit(True)
    def at_post_edit_script(self): self._appy_onEdit(False)
    def post_validate(self, REQUEST=None, errors=None):
        if not errors: self._appy_validateAllFields(REQUEST, errors)
    def getTool(self): return self.portal_oasif
    def getProductConfig(self): return Products.Oasif.config


    def generateDocument(self):
        '''Generates a document from p_self.'''
        return self._appy_generateDocument()

registerType(Oasif_Formulaire_Famille, 'Oasif')
