# -*- coding: utf-8 -*-
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
import Products.Oasif.config
from Extensions.appyWrappers import Oasif_Formulaire_Formulaire_Wrapper
from appy.gen.plone25.mixins.ClassMixin import ClassMixin


schema = Schema((
    StringField(
        name='sousTitre',
        widget=StringWidget(
            description='Oasif_Formulaire_Formulaire_sousTitreDescr',
            description_msgid='Oasif_Formulaire_Formulaire_sousTitre_descr',
            label_msgid='Oasif_Formulaire_Formulaire_sousTitre',
            label='sousTitre',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    ReferenceField(
        name='natureDeLaDemarche',
        relationship='Oasif_Formulaire_Formulaire_natureDeLaDemarche_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Formulaire_natureDeLaDemarcheDescr',
            description_msgid='Oasif_Formulaire_Formulaire_natureDeLaDemarche_descr',
            label_msgid='Oasif_Formulaire_Formulaire_natureDeLaDemarche',
            label='natureDeLaDemarche',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    StringField(
        name='titreAbrege',
        widget=StringWidget(
            description='Oasif_Formulaire_Formulaire_titreAbregeDescr',
            description_msgid='Oasif_Formulaire_Formulaire_titreAbrege_descr',
            label_msgid='Oasif_Formulaire_Formulaire_titreAbrege',
            label='titreAbrege',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    ReferenceField(
        name='famille',
        relationship='Oasif_Formulaire_Formulaire_famille_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Formulaire_familleDescr',
            description_msgid='Oasif_Formulaire_Formulaire_famille_descr',
            label_msgid='Oasif_Formulaire_Formulaire_famille',
            label='famille',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    IntegerField(
        name='numero',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_numero',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_numeroDescr',
            description_msgid='Oasif_Formulaire_Formulaire_numero_descr',
            label='numero',
        )
    ),

    ReferenceField(
        name='ministreConcerne',
        relationship='Oasif_Formulaire_Formulaire_ministreConcerne_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Formulaire_ministreConcerneDescr',
            description_msgid='Oasif_Formulaire_Formulaire_ministreConcerne_descr',
            label_msgid='Oasif_Formulaire_Formulaire_ministreConcerne',
            label='ministreConcerne',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    ReferenceField(
        name='adresseDeRenvoi',
        relationship='Oasif_Formulaire_Formulaire_adresseDeRenvoi_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Formulaire_adresseDeRenvoiDescr',
            description_msgid='Oasif_Formulaire_Formulaire_adresseDeRenvoi_descr',
            label_msgid='Oasif_Formulaire_Formulaire_adresseDeRenvoi',
            label='adresseDeRenvoi',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    ReferenceField(
        name='personnesDeContact',
        relationship='Oasif_Formulaire_Formulaire_personnesDeContact_rel',
        multiValued=True,
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Formulaire_personnesDeContactDescr',
            description_msgid='Oasif_Formulaire_Formulaire_personnesDeContact_descr',
            label_msgid='Oasif_Formulaire_Formulaire_personnesDeContact',
            label='personnesDeContact',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    StringField(
        enforceVocabulary=True,
        name='publicCible',
        vocabulary='list_publicCible_values',
        widget=SelectionWidget(
            description='Oasif_Formulaire_Formulaire_publicCibleDescr',
            description_msgid='Oasif_Formulaire_Formulaire_publicCible_descr',
            format='select',
            label_msgid='Oasif_Formulaire_Formulaire_publicCible',
            label='publicCible',
            i18n_domain='Oasif',
        )
    ),

    StringField(
        name='publicCibleSpecifique',
        widget=StringWidget(
            description='Oasif_Formulaire_Formulaire_publicCibleSpecifiqueDescr',
            description_msgid='Oasif_Formulaire_Formulaire_publicCibleSpecifique_descr',
            label_msgid='Oasif_Formulaire_Formulaire_publicCibleSpecifique',
            label='publicCibleSpecifique',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    TextField(
        allowable_content_types=('text/html',),
        default_output_type='text/html',
        name='descriptionDetaillee',
        widget=RichWidget(
            label_msgid='Oasif_Formulaire_Formulaire_descriptionDetaillee',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_descriptionDetailleeDescr',
            description_msgid='Oasif_Formulaire_Formulaire_descriptionDetaillee_descr',
            label='descriptionDetaillee',
        )
    ),

    TextField(
        name='descriptionCourte',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_descriptionCourte',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_descriptionCourteDescr',
            description_msgid='Oasif_Formulaire_Formulaire_descriptionCourte_descr',
            label='descriptionCourte',
        )
    ),

    TextField(
        name='bonASavoir',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_bonASavoir',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_bonASavoirDescr',
            description_msgid='Oasif_Formulaire_Formulaire_bonASavoir_descr',
            label='bonASavoir',
        )
    ),

    TextField(
        name='mentions',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_mentions',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_mentionsDescr',
            description_msgid='Oasif_Formulaire_Formulaire_mentions_descr',
            label='mentions',
        )
    ),

    TextField(
        name='baseLegale',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_baseLegale',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_baseLegaleDescr',
            description_msgid='Oasif_Formulaire_Formulaire_baseLegale_descr',
            label='baseLegale',
        )
    ),

    IntegerField(
        name='delaiDeRenvoiEnJours',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_delaiDeRenvoiEnJours',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_delaiDeRenvoiEnJoursDescr',
            description_msgid='Oasif_Formulaire_Formulaire_delaiDeRenvoiEnJours_descr',
            label='delaiDeRenvoiEnJours',
        )
    ),

    StringField(
        name='montant',
        widget=StringWidget(
            description='Oasif_Formulaire_Formulaire_montantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_montant_descr',
            label_msgid='Oasif_Formulaire_Formulaire_montant',
            label='montant',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        enforceVocabulary=True,
        name='frequenceDeRemplissageParLeDemandeur',
        vocabulary='list_frequenceDeRemplissageParLeDemandeur_values',
        widget=SelectionWidget(
            description='Oasif_Formulaire_Formulaire_frequenceDeRemplissageParLeDemandeurDescr',
            description_msgid='Oasif_Formulaire_Formulaire_frequenceDeRemplissageParLeDemandeur_descr',
            format='select',
            label_msgid='Oasif_Formulaire_Formulaire_frequenceDeRemplissageParLeDemandeur',
            label='frequenceDeRemplissageParLeDemandeur',
            i18n_domain='Oasif',
        )
    ),

    StringField(
        enforceVocabulary=True,
        name='frequenceDeRevisionPotentielleParLAdministration',
        vocabulary='list_frequenceDeRevisionPotentielleParLAdministration_values',
        widget=SelectionWidget(
            description='Oasif_Formulaire_Formulaire_frequenceDeRevisionPotentielleParLAdministrationDescr',
            description_msgid='Oasif_Formulaire_Formulaire_frequenceDeRevisionPotentielleParLAdministration_descr',
            format='select',
            label_msgid='Oasif_Formulaire_Formulaire_frequenceDeRevisionPotentielleParLAdministration',
            label='frequenceDeRevisionPotentielleParLAdministration',
            i18n_domain='Oasif',
        )
    ),

    BooleanField(
        schemata='ClassementEtVieSurLeSiteOuPortail',
        name='aMettreEnLigne',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_aMettreEnLigne',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_aMettreEnLigneDescr',
            description_msgid='Oasif_Formulaire_Formulaire_aMettreEnLigne_descr',
            label='aMettreEnLigne',
        )
    ),

    BooleanField(
        schemata='ClassementEtVieSurLeSiteOuPortail',
        name='misEnLigne',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_misEnLigne',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_misEnLigneDescr',
            description_msgid='Oasif_Formulaire_Formulaire_misEnLigne_descr',
            label='misEnLigne',
        )
    ),

    DateTimeField(
        schemata='ClassementEtVieSurLeSiteOuPortail',
        name='dateDeMiseEnLigne',
        widget=CalendarWidget(
            description='Oasif_Formulaire_Formulaire_dateDeMiseEnLigneDescr',
            description_msgid='Oasif_Formulaire_Formulaire_dateDeMiseEnLigne_descr',
            label_msgid='Oasif_Formulaire_Formulaire_dateDeMiseEnLigne',
            label='dateDeMiseEnLigne',
            show_hm=False,
            i18n_domain='Oasif',
        )
    ),

    DateTimeField(
        schemata='ClassementEtVieSurLeSiteOuPortail',
        name='dateDeFinDeMiseEnLigneEventuelle',
        widget=CalendarWidget(
            description='Oasif_Formulaire_Formulaire_dateDeFinDeMiseEnLigneEventuelleDescr',
            description_msgid='Oasif_Formulaire_Formulaire_dateDeFinDeMiseEnLigneEventuelle_descr',
            label_msgid='Oasif_Formulaire_Formulaire_dateDeFinDeMiseEnLigneEventuelle',
            label='dateDeFinDeMiseEnLigneEventuelle',
            show_hm=False,
            i18n_domain='Oasif',
        )
    ),

    LinesField(
        required=True,
        name='theme',
        vocabulary='list_theme_values',
        enforceVocabulary=True,
        schemata='ClassementEtVieSurLeSiteOuPortail',
        multiValued=True,
        widget=MultiSelectionWidget(
            label_msgid='Oasif_Formulaire_Formulaire_theme',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_themeDescr',
            description_msgid='Oasif_Formulaire_Formulaire_theme_descr',
            label='theme',
        )
    ),

    LinesField(
        required=True,
        name='ligneDeVie',
        vocabulary='list_ligneDeVie_values',
        enforceVocabulary=True,
        schemata='ClassementEtVieSurLeSiteOuPortail',
        multiValued=True,
        widget=MultiSelectionWidget(
            label_msgid='Oasif_Formulaire_Formulaire_ligneDeVie',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_ligneDeVieDescr',
            description_msgid='Oasif_Formulaire_Formulaire_ligneDeVie_descr',
            label='ligneDeVie',
        )
    ),

    IntegerField(
        schemata='ClassementEtVieSurLeSiteOuPortail',
        name='nombreDeFormulairesTelechargesParAn',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDeFormulairesTelechargesParAn',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDeFormulairesTelechargesParAnDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDeFormulairesTelechargesParAn_descr',
            label='nombreDeFormulairesTelechargesParAn',
        )
    ),

    IntegerField(
        schemata='ClassementEtVieSurLeSiteOuPortail',
        name='nombreDeFormulairesRemplisEnLigneParAn',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDeFormulairesRemplisEnLigneParAn',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDeFormulairesRemplisEnLigneParAnDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDeFormulairesRemplisEnLigneParAn_descr',
            label='nombreDeFormulairesRemplisEnLigneParAn',
        )
    ),

    TextField(
        schemata='ClassementEtVieSurLeSiteOuPortail',
        name='regles',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_regles',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_reglesDescr',
            description_msgid='Oasif_Formulaire_Formulaire_regles_descr',
            label='regles',
        )
    ),

    StringField(
        required=True,
        schemata='TravailAEffectuer',
        name='origineDeLaDemande',
        widget=StringWidget(
            description='Oasif_Formulaire_Formulaire_origineDeLaDemandeDescr',
            description_msgid='Oasif_Formulaire_Formulaire_origineDeLaDemande_descr',
            label_msgid='Oasif_Formulaire_Formulaire_origineDeLaDemande',
            label='origineDeLaDemande',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    DateTimeField(
        schemata='TravailAEffectuer',
        name='dateDeReceptionDeLaDemande',
        widget=CalendarWidget(
            description='Oasif_Formulaire_Formulaire_dateDeReceptionDeLaDemandeDescr',
            description_msgid='Oasif_Formulaire_Formulaire_dateDeReceptionDeLaDemande_descr',
            label_msgid='Oasif_Formulaire_Formulaire_dateDeReceptionDeLaDemande',
            label='dateDeReceptionDeLaDemande',
            show_hm=False,
            i18n_domain='Oasif',
        )
    ),

    StringField(
        enforceVocabulary=True,
        schemata='TravailAEffectuer',
        name='priorite',
        vocabulary='list_priorite_values',
        widget=SelectionWidget(
            description='Oasif_Formulaire_Formulaire_prioriteDescr',
            description_msgid='Oasif_Formulaire_Formulaire_priorite_descr',
            format='select',
            label_msgid='Oasif_Formulaire_Formulaire_priorite',
            label='priorite',
            i18n_domain='Oasif',
        )
    ),

    DateTimeField(
        schemata='TravailAEffectuer',
        name='echeanceDemandee',
        widget=CalendarWidget(
            description='Oasif_Formulaire_Formulaire_echeanceDemandeeDescr',
            description_msgid='Oasif_Formulaire_Formulaire_echeanceDemandee_descr',
            label_msgid='Oasif_Formulaire_Formulaire_echeanceDemandee',
            label='echeanceDemandee',
            show_hm=False,
            i18n_domain='Oasif',
        )
    ),

    DateTimeField(
        schemata='TravailAEffectuer',
        name='echeancePossibleCoteEasi',
        widget=CalendarWidget(
            description='Oasif_Formulaire_Formulaire_echeancePossibleCoteEasiDescr',
            description_msgid='Oasif_Formulaire_Formulaire_echeancePossibleCoteEasi_descr',
            label_msgid='Oasif_Formulaire_Formulaire_echeancePossibleCoteEasi',
            label='echeancePossibleCoteEasi',
            show_hm=False,
            i18n_domain='Oasif',
        )
    ),

    DateTimeField(
        schemata='TravailAEffectuer',
        name='dateDAttributionDuTravail',
        widget=CalendarWidget(
            description='Oasif_Formulaire_Formulaire_dateDAttributionDuTravailDescr',
            description_msgid='Oasif_Formulaire_Formulaire_dateDAttributionDuTravail_descr',
            label_msgid='Oasif_Formulaire_Formulaire_dateDAttributionDuTravail',
            label='dateDAttributionDuTravail',
            show_hm=False,
            i18n_domain='Oasif',
        )
    ),

    ReferenceField(
        schemata='TravailAEffectuer',
        name='autresPersonnesDeContact',
        relationship='Oasif_Formulaire_Formulaire_autresPersonnesDeContact_rel',
        multiValued=True,
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Formulaire_autresPersonnesDeContactDescr',
            description_msgid='Oasif_Formulaire_Formulaire_autresPersonnesDeContact_descr',
            label_msgid='Oasif_Formulaire_Formulaire_autresPersonnesDeContact',
            label='autresPersonnesDeContact',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    ReferenceField(
        schemata='TravailAEffectuer',
        name='fonctionnaireValidant',
        relationship='Oasif_Formulaire_Formulaire_fonctionnaireValidant_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Formulaire_fonctionnaireValidantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_fonctionnaireValidant_descr',
            label_msgid='Oasif_Formulaire_Formulaire_fonctionnaireValidant',
            label='fonctionnaireValidant',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    ReferenceField(
        schemata='TravailAEffectuer',
        name='chefDeProjetCoteEasi',
        relationship='Oasif_Formulaire_Formulaire_chefDeProjetCoteEasi_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Formulaire_chefDeProjetCoteEasiDescr',
            description_msgid='Oasif_Formulaire_Formulaire_chefDeProjetCoteEasi_descr',
            label_msgid='Oasif_Formulaire_Formulaire_chefDeProjetCoteEasi',
            label='chefDeProjetCoteEasi',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    DateTimeField(
        schemata='TravailAEffectuer',
        name='dateDeRealisationDuDiagnostic',
        widget=CalendarWidget(
            description='Oasif_Formulaire_Formulaire_dateDeRealisationDuDiagnosticDescr',
            description_msgid='Oasif_Formulaire_Formulaire_dateDeRealisationDuDiagnostic_descr',
            label_msgid='Oasif_Formulaire_Formulaire_dateDeRealisationDuDiagnostic',
            label='dateDeRealisationDuDiagnostic',
            show_hm=False,
            i18n_domain='Oasif',
        )
    ),

    FileField(
        storage=AttributeStorage(),
        schemata='TravailAEffectuer',
        name='diagnostic',
        widget=FileWidget(
            label_msgid='Oasif_Formulaire_Formulaire_diagnostic',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_diagnosticDescr',
            description_msgid='Oasif_Formulaire_Formulaire_diagnostic_descr',
            label='diagnostic',
        )
    ),

    ReferenceField(
        schemata='TravailAEffectuer',
        name='travailDeSimplification',
        relationship='Oasif_Formulaire_Formulaire_travailDeSimplification_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Formulaire_travailDeSimplificationDescr',
            description_msgid='Oasif_Formulaire_Formulaire_travailDeSimplification_descr',
            label_msgid='Oasif_Formulaire_Formulaire_travailDeSimplification',
            label='travailDeSimplification',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    ReferenceField(
        schemata='TravailAEffectuer',
        name='travailDInformatisation',
        relationship='Oasif_Formulaire_Formulaire_travailDInformatisation_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Formulaire_travailDInformatisationDescr',
            description_msgid='Oasif_Formulaire_Formulaire_travailDInformatisation_descr',
            label_msgid='Oasif_Formulaire_Formulaire_travailDInformatisation',
            label='travailDInformatisation',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    ReferenceField(
        schemata='TravailAEffectuer',
        name='travailDeMiseEnLigne',
        relationship='Oasif_Formulaire_Formulaire_travailDeMiseEnLigne_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Formulaire_travailDeMiseEnLigneDescr',
            description_msgid='Oasif_Formulaire_Formulaire_travailDeMiseEnLigne_descr',
            label_msgid='Oasif_Formulaire_Formulaire_travailDeMiseEnLigne',
            label='travailDeMiseEnLigne',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    LinesField(
        name='gainsUsagerNiveauSimplification',
        vocabulary='list_gainsUsagerNiveauSimplification_values',
        default=('clarification','blocsCommuns','charte','nettoyage',),
        enforceVocabulary=True,
        schemata='Synthese',
        multiValued=True,
        widget=MultiSelectionWidget(
            label_msgid='Oasif_Formulaire_Formulaire_gainsUsagerNiveauSimplification',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_gainsUsagerNiveauSimplificationDescr',
            description_msgid='Oasif_Formulaire_Formulaire_gainsUsagerNiveauSimplification_descr',
            label='gainsUsagerNiveauSimplification',
        )
    ),

    TextField(
        allowable_content_types=('text/html',),
        default_output_type='text/html',
        schemata='Synthese',
        name='autresGainsUsagerNiveauSimplification',
        widget=RichWidget(
            label_msgid='Oasif_Formulaire_Formulaire_autresGainsUsagerNiveauSimplification',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_autresGainsUsagerNiveauSimplificationDescr',
            description_msgid='Oasif_Formulaire_Formulaire_autresGainsUsagerNiveauSimplification_descr',
            label='autresGainsUsagerNiveauSimplification',
        )
    ),

    LinesField(
        name='gainsUsagerNiveauInformatique',
        vocabulary='list_gainsUsagerNiveauInformatique_values',
        default=('encodage','disponibilite','sauvegarde','erreurs','envoi','accuseReception',),
        enforceVocabulary=True,
        schemata='Synthese',
        multiValued=True,
        widget=MultiSelectionWidget(
            label_msgid='Oasif_Formulaire_Formulaire_gainsUsagerNiveauInformatique',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_gainsUsagerNiveauInformatiqueDescr',
            description_msgid='Oasif_Formulaire_Formulaire_gainsUsagerNiveauInformatique_descr',
            label='gainsUsagerNiveauInformatique',
        )
    ),

    TextField(
        allowable_content_types=('text/html',),
        default_output_type='text/html',
        schemata='Synthese',
        name='autresGainsUsagerNiveauInformatique',
        widget=RichWidget(
            label_msgid='Oasif_Formulaire_Formulaire_autresGainsUsagerNiveauInformatique',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_autresGainsUsagerNiveauInformatiqueDescr',
            description_msgid='Oasif_Formulaire_Formulaire_autresGainsUsagerNiveauInformatique_descr',
            label='autresGainsUsagerNiveauInformatique',
        )
    ),

    LinesField(
        name='gainsAdministrationNiveauSimplification',
        vocabulary='list_gainsAdministrationNiveauSimplification_values',
        default=('clarification','identification','pertinence',),
        enforceVocabulary=True,
        schemata='Synthese',
        multiValued=True,
        widget=MultiSelectionWidget(
            label_msgid='Oasif_Formulaire_Formulaire_gainsAdministrationNiveauSimplification',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_gainsAdministrationNiveauSimplificationDescr',
            description_msgid='Oasif_Formulaire_Formulaire_gainsAdministrationNiveauSimplification_descr',
            label='gainsAdministrationNiveauSimplification',
        )
    ),

    TextField(
        allowable_content_types=('text/html',),
        default_output_type='text/html',
        schemata='Synthese',
        name='autresGainsAdministrationNiveauSimplification',
        widget=RichWidget(
            label_msgid='Oasif_Formulaire_Formulaire_autresGainsAdministrationNiveauSimplification',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_autresGainsAdministrationNiveauSimplificationDescr',
            description_msgid='Oasif_Formulaire_Formulaire_autresGainsAdministrationNiveauSimplification_descr',
            label='autresGainsAdministrationNiveauSimplification',
        )
    ),

    LinesField(
        name='gainsAdministrationNiveauInformatique',
        vocabulary='list_gainsAdministrationNiveauInformatique_values',
        default=('lecture','vitesse','erreurs','envoi',),
        enforceVocabulary=True,
        schemata='Synthese',
        multiValued=True,
        widget=MultiSelectionWidget(
            label_msgid='Oasif_Formulaire_Formulaire_gainsAdministrationNiveauInformatique',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_gainsAdministrationNiveauInformatiqueDescr',
            description_msgid='Oasif_Formulaire_Formulaire_gainsAdministrationNiveauInformatique_descr',
            label='gainsAdministrationNiveauInformatique',
        )
    ),

    TextField(
        allowable_content_types=('text/html',),
        default_output_type='text/html',
        schemata='Synthese',
        name='autresGainsAdministrationNiveauInformatique',
        widget=RichWidget(
            label_msgid='Oasif_Formulaire_Formulaire_autresGainsAdministrationNiveauInformatique',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_autresGainsAdministrationNiveauInformatiqueDescr',
            description_msgid='Oasif_Formulaire_Formulaire_autresGainsAdministrationNiveauInformatique_descr',
            label='autresGainsAdministrationNiveauInformatique',
        )
    ),

    IntegerField(
        schemata='Synthese',
        name='nombreDePagesAvant',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDePagesAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDePagesAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDePagesAvant_descr',
            label='nombreDePagesAvant',
        )
    ),

    IntegerField(
        schemata='Synthese',
        name='nombreDePagesApres',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDePagesApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDePagesApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDePagesApres_descr',
            label='nombreDePagesApres',
        )
    ),

    StringField(
        enforceVocabulary=True,
        schemata='Synthese',
        name='langueDuFormulaireAvant',
        vocabulary='list_langueDuFormulaireAvant_values',
        widget=SelectionWidget(
            description='Oasif_Formulaire_Formulaire_langueDuFormulaireAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_langueDuFormulaireAvant_descr',
            format='select',
            label_msgid='Oasif_Formulaire_Formulaire_langueDuFormulaireAvant',
            label='langueDuFormulaireAvant',
            i18n_domain='Oasif',
        )
    ),

    StringField(
        enforceVocabulary=True,
        schemata='Synthese',
        name='langueDuFormulaireApres',
        vocabulary='list_langueDuFormulaireApres_values',
        widget=SelectionWidget(
            description='Oasif_Formulaire_Formulaire_langueDuFormulaireApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_langueDuFormulaireApres_descr',
            format='select',
            label_msgid='Oasif_Formulaire_Formulaire_langueDuFormulaireApres',
            label='langueDuFormulaireApres',
            i18n_domain='Oasif',
        )
    ),

    StringField(
        enforceVocabulary=True,
        schemata='Synthese',
        name='formatDeDocumentAvant',
        vocabulary='list_formatDeDocumentAvant_values',
        widget=SelectionWidget(
            description='Oasif_Formulaire_Formulaire_formatDeDocumentAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_formatDeDocumentAvant_descr',
            format='select',
            label_msgid='Oasif_Formulaire_Formulaire_formatDeDocumentAvant',
            label='formatDeDocumentAvant',
            i18n_domain='Oasif',
        )
    ),

    StringField(
        enforceVocabulary=True,
        schemata='Synthese',
        name='formatDeDocumentApres',
        vocabulary='list_formatDeDocumentApres_values',
        widget=SelectionWidget(
            description='Oasif_Formulaire_Formulaire_formatDeDocumentApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_formatDeDocumentApres_descr',
            format='select',
            label_msgid='Oasif_Formulaire_Formulaire_formatDeDocumentApres',
            label='formatDeDocumentApres',
            i18n_domain='Oasif',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='existenceDUneNoticeAvant',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_existenceDUneNoticeAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_existenceDUneNoticeAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_existenceDUneNoticeAvant_descr',
            label='existenceDUneNoticeAvant',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='existenceDUneNoticeApres',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_existenceDUneNoticeApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_existenceDUneNoticeApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_existenceDUneNoticeApres_descr',
            label='existenceDUneNoticeApres',
        )
    ),

    IntegerField(
        schemata='Synthese',
        name='nombreDePagesDeLaNoticeAvant',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDePagesDeLaNoticeAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDePagesDeLaNoticeAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDePagesDeLaNoticeAvant_descr',
            label='nombreDePagesDeLaNoticeAvant',
        )
    ),

    IntegerField(
        schemata='Synthese',
        name='nombreDePagesDeLaNoticeApres',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDePagesDeLaNoticeApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDePagesDeLaNoticeApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDePagesDeLaNoticeApres_descr',
            label='nombreDePagesDeLaNoticeApres',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='existenceDAnnexesAvant',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_existenceDAnnexesAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_existenceDAnnexesAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_existenceDAnnexesAvant_descr',
            label='existenceDAnnexesAvant',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='existenceDAnnexesApres',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_existenceDAnnexesApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_existenceDAnnexesApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_existenceDAnnexesApres_descr',
            label='existenceDAnnexesApres',
        )
    ),

    TextField(
        schemata='Synthese',
        name='annexesAvant',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_annexesAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_annexesAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_annexesAvant_descr',
            label='annexesAvant',
        )
    ),

    TextField(
        schemata='Synthese',
        name='annexesApres',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_annexesApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_annexesApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_annexesApres_descr',
            label='annexesApres',
        )
    ),

    IntegerField(
        schemata='Synthese',
        name='nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant_descr',
            label='nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant',
        )
    ),

    IntegerField(
        schemata='Synthese',
        name='nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres_descr',
            label='nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres',
        )
    ),

    IntegerField(
        schemata='Synthese',
        name='nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDAnnexesRemplaceesParSourcesAuthentiquesAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant_descr',
            label='nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant',
        )
    ),

    IntegerField(
        schemata='Synthese',
        name='nombreDAnnexesRemplaceesParSourcesAuthentiquesApres',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDAnnexesRemplaceesParSourcesAuthentiquesApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDAnnexesRemplaceesParSourcesAuthentiquesApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDAnnexesRemplaceesParSourcesAuthentiquesApres_descr',
            label='nombreDAnnexesRemplaceesParSourcesAuthentiquesApres',
        )
    ),

    TextField(
        schemata='Synthese',
        name='annexesRemplaceesAvant',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_annexesRemplaceesAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_annexesRemplaceesAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_annexesRemplaceesAvant_descr',
            label='annexesRemplaceesAvant',
        )
    ),

    TextField(
        schemata='Synthese',
        name='annexesRemplaceesApres',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_annexesRemplaceesApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_annexesRemplaceesApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_annexesRemplaceesApres_descr',
            label='annexesRemplaceesApres',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='existenceDAutresDocumentsLiesAvant',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_existenceDAutresDocumentsLiesAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_existenceDAutresDocumentsLiesAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_existenceDAutresDocumentsLiesAvant_descr',
            label='existenceDAutresDocumentsLiesAvant',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='existenceDAutresDocumentsLiesApres',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_existenceDAutresDocumentsLiesApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_existenceDAutresDocumentsLiesApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_existenceDAutresDocumentsLiesApres_descr',
            label='existenceDAutresDocumentsLiesApres',
        )
    ),

    TextField(
        schemata='Synthese',
        name='documentsLiesAvant',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_documentsLiesAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_documentsLiesAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_documentsLiesAvant_descr',
            label='documentsLiesAvant',
        )
    ),

    TextField(
        schemata='Synthese',
        name='documentsLiesApres',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_documentsLiesApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_documentsLiesApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_documentsLiesApres_descr',
            label='documentsLiesApres',
        )
    ),

    StringField(
        enforceVocabulary=True,
        schemata='Synthese',
        name='typeDeFormulaireAvant',
        vocabulary='list_typeDeFormulaireAvant_values',
        widget=SelectionWidget(
            description='Oasif_Formulaire_Formulaire_typeDeFormulaireAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_typeDeFormulaireAvant_descr',
            format='select',
            label_msgid='Oasif_Formulaire_Formulaire_typeDeFormulaireAvant',
            label='typeDeFormulaireAvant',
            i18n_domain='Oasif',
        )
    ),

    StringField(
        enforceVocabulary=True,
        schemata='Synthese',
        name='typeDeFormulaireApres',
        vocabulary='list_typeDeFormulaireApres_values',
        widget=SelectionWidget(
            description='Oasif_Formulaire_Formulaire_typeDeFormulaireApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_typeDeFormulaireApres_descr',
            format='select',
            label_msgid='Oasif_Formulaire_Formulaire_typeDeFormulaireApres',
            label='typeDeFormulaireApres',
            i18n_domain='Oasif',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='respectDeLaCharteAvant',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_respectDeLaCharteAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_respectDeLaCharteAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_respectDeLaCharteAvant_descr',
            label='respectDeLaCharteAvant',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='respectDeLaCharteApres',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_respectDeLaCharteApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_respectDeLaCharteApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_respectDeLaCharteApres_descr',
            label='respectDeLaCharteApres',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='simplifieAvant',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_simplifieAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_simplifieAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_simplifieAvant_descr',
            label='simplifieAvant',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='simplifieApres',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_simplifieApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_simplifieApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_simplifieApres_descr',
            label='simplifieApres',
        )
    ),

    TextField(
        schemata='Synthese',
        name='simplificationsAvant',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_simplificationsAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_simplificationsAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_simplificationsAvant_descr',
            label='simplificationsAvant',
        )
    ),

    TextField(
        schemata='Synthese',
        name='simplificationsApres',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_simplificationsApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_simplificationsApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_simplificationsApres_descr',
            label='simplificationsApres',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='diffusionSurSiteFormulairesAvant',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_diffusionSurSiteFormulairesAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_diffusionSurSiteFormulairesAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_diffusionSurSiteFormulairesAvant_descr',
            label='diffusionSurSiteFormulairesAvant',
        )
    ),

    BooleanField(
        schemata='Synthese',
        name='diffusionSurSiteFormulairesApres',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Formulaire_diffusionSurSiteFormulairesApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_diffusionSurSiteFormulairesApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_diffusionSurSiteFormulairesApres_descr',
            label='diffusionSurSiteFormulairesApres',
        )
    ),

    TextField(
        schemata='Synthese',
        name='autresSitesDeDiffusionAvant',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_autresSitesDeDiffusionAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_autresSitesDeDiffusionAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_autresSitesDeDiffusionAvant_descr',
            label='autresSitesDeDiffusionAvant',
        )
    ),

    TextField(
        schemata='Synthese',
        name='autresSitesDeDiffusionApres',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_Formulaire_autresSitesDeDiffusionApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_autresSitesDeDiffusionApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_autresSitesDeDiffusionApres_descr',
            label='autresSitesDeDiffusionApres',
        )
    ),

    IntegerField(
        schemata='Synthese',
        name='nombreDeFormulairesDemandesParAnAvant',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDeFormulairesDemandesParAnAvant',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDeFormulairesDemandesParAnAvantDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDeFormulairesDemandesParAnAvant_descr',
            label='nombreDeFormulairesDemandesParAnAvant',
        )
    ),

    IntegerField(
        schemata='Synthese',
        name='nombreDeFormulairesDemandesParAnApres',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Formulaire_nombreDeFormulairesDemandesParAnApres',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Formulaire_nombreDeFormulairesDemandesParAnApresDescr',
            description_msgid='Oasif_Formulaire_Formulaire_nombreDeFormulairesDemandesParAnApres_descr',
            label='nombreDeFormulairesDemandesParAnApres',
        )
    ),

    StringField(
        name='statut',
        widget=StringWidget(
            description='Oasif_Formulaire_Formulaire_statutDescr',
            description_msgid='Oasif_Formulaire_Formulaire_statut_descr',
            label_msgid='Oasif_Formulaire_Formulaire_statut',
            label='statut',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

),)
fullSchema = BaseSchema.copy() + schema.copy()

class Oasif_Formulaire_Formulaire(BaseContent,ClassMixin):
    '''Class generated with appy.gen.'''
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,"__implements__",()),)
    archetype_name = 'Oasif_Formulaire_Formulaire'
    meta_type = 'Oasif_Formulaire_Formulaire'
    portal_type = 'Oasif_Formulaire_Formulaire'
    allowed_content_types = []
    filter_content_types = 0
    global_allow = 1
    immediate_view = 'Oasif_appy_view'
    default_view = 'Oasif_appy_view'
    suppl_views = ()
    typeDescription = 'Oasif_Formulaire_Formulaire'
    typeDescMsgId = 'Oasif_Formulaire_Formulaire_edit_descr'
    _at_rename_after_creation = True
    i18nDomain = 'Oasif'
    schema = fullSchema
    wrapperClass = Oasif_Formulaire_Formulaire_Wrapper

    def at_post_create_script(self): self._appy_onEdit(True)
    def at_post_edit_script(self): self._appy_onEdit(False)
    def post_validate(self, REQUEST=None, errors=None):
        if not errors: self._appy_validateAllFields(REQUEST, errors)
    def getTool(self): return self.portal_oasif
    def getProductConfig(self): return Products.Oasif.config


    def validate_natureDeLaDemarche(self, value):
        return self._appy_validateField('natureDeLaDemarche', value, 'Oasif_Formulaire_Formulaire_natureDeLaDemarche_valid', 'Ref')

    def validate_famille(self, value):
        return self._appy_validateField('famille', value, 'Oasif_Formulaire_Formulaire_famille_valid', 'Ref')

    def validate_numero(self, value):
        return self._appy_validateField('numero', value, 'Oasif_Formulaire_Formulaire_numero_valid', 'Integer')

    def validate_ministreConcerne(self, value):
        return self._appy_validateField('ministreConcerne', value, 'Oasif_Formulaire_Formulaire_ministreConcerne_valid', 'Ref')

    def validate_adresseDeRenvoi(self, value):
        return self._appy_validateField('adresseDeRenvoi', value, 'Oasif_Formulaire_Formulaire_adresseDeRenvoi_valid', 'Ref')

    def validate_personnesDeContact(self, value):
        return self._appy_validateField('personnesDeContact', value, 'Oasif_Formulaire_Formulaire_personnesDeContact_valid', 'Ref')

    def list_publicCible_values(self):
        return self._appy_getDisplayList(('','Citoyen','Entreprise','Administration','Association','SyndicatDImmeuble','EtablissementScolaire','Cpas',), ('choose_a_value','Oasif_Formulaire_Formulaire_publicCible_list_Citoyen','Oasif_Formulaire_Formulaire_publicCible_list_Entreprise','Oasif_Formulaire_Formulaire_publicCible_list_Administration','Oasif_Formulaire_Formulaire_publicCible_list_Association','Oasif_Formulaire_Formulaire_publicCible_list_SyndicatDImmeuble','Oasif_Formulaire_Formulaire_publicCible_list_EtablissementScolaire','Oasif_Formulaire_Formulaire_publicCible_list_Cpas',), 'Oasif')

    def validate_delaiDeRenvoiEnJours(self, value):
        return self._appy_validateField('delaiDeRenvoiEnJours', value, 'Oasif_Formulaire_Formulaire_delaiDeRenvoiEnJours_valid', 'Integer')

    def list_frequenceDeRemplissageParLeDemandeur_values(self):
        return self._appy_getDisplayList(('','faible','moyenne','forte',), ('choose_a_value','Oasif_Formulaire_Formulaire_frequenceDeRemplissageParLeDemandeur_list_faible','Oasif_Formulaire_Formulaire_frequenceDeRemplissageParLeDemandeur_list_moyenne','Oasif_Formulaire_Formulaire_frequenceDeRemplissageParLeDemandeur_list_forte',), 'Oasif')

    def list_frequenceDeRevisionPotentielleParLAdministration_values(self):
        return self._appy_getDisplayList(('','faible','moyenne','forte',), ('choose_a_value','Oasif_Formulaire_Formulaire_frequenceDeRevisionPotentielleParLAdministration_list_faible','Oasif_Formulaire_Formulaire_frequenceDeRevisionPotentielleParLAdministration_list_moyenne','Oasif_Formulaire_Formulaire_frequenceDeRevisionPotentielleParLAdministration_list_forte',), 'Oasif')

    def list_theme_values(self):
        return self._appy_getDisplayList(('ActionSocialeEtSante','Agriculture','AmenagementDuTerritoireEtUrbanisme','Cartographie','Emploi','Energie','Entreprises','EnvironnementEtRessourcesNaturelles','Fiscalite','FonctionPublique','Formation','Logement','MarchesPublics','Patrimoine','PouvoirsLocaux','RelationsInternationalesEtEurope','RechercheEtTechnologies','Ruralite','Statistiques','Tourisme','TransportEtMobilite',), ('Oasif_Formulaire_Formulaire_theme_list_ActionSocialeEtSante','Oasif_Formulaire_Formulaire_theme_list_Agriculture','Oasif_Formulaire_Formulaire_theme_list_AmenagementDuTerritoireEtUrbanisme','Oasif_Formulaire_Formulaire_theme_list_Cartographie','Oasif_Formulaire_Formulaire_theme_list_Emploi','Oasif_Formulaire_Formulaire_theme_list_Energie','Oasif_Formulaire_Formulaire_theme_list_Entreprises','Oasif_Formulaire_Formulaire_theme_list_EnvironnementEtRessourcesNaturelles','Oasif_Formulaire_Formulaire_theme_list_Fiscalite','Oasif_Formulaire_Formulaire_theme_list_FonctionPublique','Oasif_Formulaire_Formulaire_theme_list_Formation','Oasif_Formulaire_Formulaire_theme_list_Logement','Oasif_Formulaire_Formulaire_theme_list_MarchesPublics','Oasif_Formulaire_Formulaire_theme_list_Patrimoine','Oasif_Formulaire_Formulaire_theme_list_PouvoirsLocaux','Oasif_Formulaire_Formulaire_theme_list_RelationsInternationalesEtEurope','Oasif_Formulaire_Formulaire_theme_list_RechercheEtTechnologies','Oasif_Formulaire_Formulaire_theme_list_Ruralite','Oasif_Formulaire_Formulaire_theme_list_Statistiques','Oasif_Formulaire_Formulaire_theme_list_Tourisme','Oasif_Formulaire_Formulaire_theme_list_TransportEtMobilite',), 'Oasif')

    def list_ligneDeVie_values(self):
        return self._appy_getDisplayList(('AvoirDesEnfantsEtEnPrendreSoin','ApprendreASeFormerToutAuLongDeSaVie','SeDeplacer','SeLoger','Travailler','VieDeFamilleEtViePersonnelle','SantePreventionEtSecurite','ParticiperALaViePubliqueEtEtreEnContactAvecLaJustice','LoisirsTourismeEtSports','ArtEtCulture','FiscaliteArgentEtConsommation','PensionEtSeniors','PerdreUnProche','CreerUneEntreprise','GererUneEntreprise','ArreterUneEntreprise',), ('Oasif_Formulaire_Formulaire_ligneDeVie_list_AvoirDesEnfantsEtEnPrendreSoin','Oasif_Formulaire_Formulaire_ligneDeVie_list_ApprendreASeFormerToutAuLongDeSaVie','Oasif_Formulaire_Formulaire_ligneDeVie_list_SeDeplacer','Oasif_Formulaire_Formulaire_ligneDeVie_list_SeLoger','Oasif_Formulaire_Formulaire_ligneDeVie_list_Travailler','Oasif_Formulaire_Formulaire_ligneDeVie_list_VieDeFamilleEtViePersonnelle','Oasif_Formulaire_Formulaire_ligneDeVie_list_SantePreventionEtSecurite','Oasif_Formulaire_Formulaire_ligneDeVie_list_ParticiperALaViePubliqueEtEtreEnContactAvecLaJustice','Oasif_Formulaire_Formulaire_ligneDeVie_list_LoisirsTourismeEtSports','Oasif_Formulaire_Formulaire_ligneDeVie_list_ArtEtCulture','Oasif_Formulaire_Formulaire_ligneDeVie_list_FiscaliteArgentEtConsommation','Oasif_Formulaire_Formulaire_ligneDeVie_list_PensionEtSeniors','Oasif_Formulaire_Formulaire_ligneDeVie_list_PerdreUnProche','Oasif_Formulaire_Formulaire_ligneDeVie_list_CreerUneEntreprise','Oasif_Formulaire_Formulaire_ligneDeVie_list_GererUneEntreprise','Oasif_Formulaire_Formulaire_ligneDeVie_list_ArreterUneEntreprise',), 'Oasif')

    def validate_nombreDeFormulairesTelechargesParAn(self, value):
        return self._appy_validateField('nombreDeFormulairesTelechargesParAn', value, 'Oasif_Formulaire_Formulaire_nombreDeFormulairesTelechargesParAn_valid', 'Integer')

    def validate_nombreDeFormulairesRemplisEnLigneParAn(self, value):
        return self._appy_validateField('nombreDeFormulairesRemplisEnLigneParAn', value, 'Oasif_Formulaire_Formulaire_nombreDeFormulairesRemplisEnLigneParAn_valid', 'Integer')

    def list_priorite_values(self):
        return self._appy_getDisplayList(('','Faible','Moyenne','Forte',), ('choose_a_value','Oasif_Formulaire_Formulaire_priorite_list_Faible','Oasif_Formulaire_Formulaire_priorite_list_Moyenne','Oasif_Formulaire_Formulaire_priorite_list_Forte',), 'Oasif')

    def validate_autresPersonnesDeContact(self, value):
        return self._appy_validateField('autresPersonnesDeContact', value, 'Oasif_Formulaire_Formulaire_autresPersonnesDeContact_valid', 'Ref')

    def validate_fonctionnaireValidant(self, value):
        return self._appy_validateField('fonctionnaireValidant', value, 'Oasif_Formulaire_Formulaire_fonctionnaireValidant_valid', 'Ref')

    def validate_chefDeProjetCoteEasi(self, value):
        return self._appy_validateField('chefDeProjetCoteEasi', value, 'Oasif_Formulaire_Formulaire_chefDeProjetCoteEasi_valid', 'Ref')

    def validate_travailDeSimplification(self, value):
        return self._appy_validateField('travailDeSimplification', value, 'Oasif_Formulaire_Formulaire_travailDeSimplification_valid', 'Ref')

    def validate_travailDInformatisation(self, value):
        return self._appy_validateField('travailDInformatisation', value, 'Oasif_Formulaire_Formulaire_travailDInformatisation_valid', 'Ref')

    def validate_travailDeMiseEnLigne(self, value):
        return self._appy_validateField('travailDeMiseEnLigne', value, 'Oasif_Formulaire_Formulaire_travailDeMiseEnLigne_valid', 'Ref')

    def list_gainsUsagerNiveauSimplification_values(self):
        return self._appy_getDisplayList(('clarification','blocsCommuns','charte','nettoyage','confiance','collecteUnique','notice',), ('Oasif_Formulaire_Formulaire_gainsUsagerNiveauSimplification_list_clarification','Oasif_Formulaire_Formulaire_gainsUsagerNiveauSimplification_list_blocsCommuns','Oasif_Formulaire_Formulaire_gainsUsagerNiveauSimplification_list_charte','Oasif_Formulaire_Formulaire_gainsUsagerNiveauSimplification_list_nettoyage','Oasif_Formulaire_Formulaire_gainsUsagerNiveauSimplification_list_confiance','Oasif_Formulaire_Formulaire_gainsUsagerNiveauSimplification_list_collecteUnique','Oasif_Formulaire_Formulaire_gainsUsagerNiveauSimplification_list_notice',), 'Oasif')

    def list_gainsUsagerNiveauInformatique_values(self):
        return self._appy_getDisplayList(('encodage','disponibilite','sauvegarde','erreurs','envoi','accuseReception',), ('Oasif_Formulaire_Formulaire_gainsUsagerNiveauInformatique_list_encodage','Oasif_Formulaire_Formulaire_gainsUsagerNiveauInformatique_list_disponibilite','Oasif_Formulaire_Formulaire_gainsUsagerNiveauInformatique_list_sauvegarde','Oasif_Formulaire_Formulaire_gainsUsagerNiveauInformatique_list_erreurs','Oasif_Formulaire_Formulaire_gainsUsagerNiveauInformatique_list_envoi','Oasif_Formulaire_Formulaire_gainsUsagerNiveauInformatique_list_accuseReception',), 'Oasif')

    def list_gainsAdministrationNiveauSimplification_values(self):
        return self._appy_getDisplayList(('clarification','identification','pertinence',), ('Oasif_Formulaire_Formulaire_gainsAdministrationNiveauSimplification_list_clarification','Oasif_Formulaire_Formulaire_gainsAdministrationNiveauSimplification_list_identification','Oasif_Formulaire_Formulaire_gainsAdministrationNiveauSimplification_list_pertinence',), 'Oasif')

    def list_gainsAdministrationNiveauInformatique_values(self):
        return self._appy_getDisplayList(('lecture','vitesse','erreurs','envoi',), ('Oasif_Formulaire_Formulaire_gainsAdministrationNiveauInformatique_list_lecture','Oasif_Formulaire_Formulaire_gainsAdministrationNiveauInformatique_list_vitesse','Oasif_Formulaire_Formulaire_gainsAdministrationNiveauInformatique_list_erreurs','Oasif_Formulaire_Formulaire_gainsAdministrationNiveauInformatique_list_envoi',), 'Oasif')

    def validate_nombreDePagesAvant(self, value):
        return self._appy_validateField('nombreDePagesAvant', value, 'Oasif_Formulaire_Formulaire_nombreDePagesAvant_valid', 'Integer')

    def validate_nombreDePagesApres(self, value):
        return self._appy_validateField('nombreDePagesApres', value, 'Oasif_Formulaire_Formulaire_nombreDePagesApres_valid', 'Integer')

    def list_langueDuFormulaireAvant_values(self):
        return self._appy_getDisplayList(('','francais','allemand','neerlandais',), ('choose_a_value','Oasif_Formulaire_Formulaire_langueDuFormulaireAvant_list_francais','Oasif_Formulaire_Formulaire_langueDuFormulaireAvant_list_allemand','Oasif_Formulaire_Formulaire_langueDuFormulaireAvant_list_neerlandais',), 'Oasif')

    def list_langueDuFormulaireApres_values(self):
        return self._appy_getDisplayList(('','francais','allemand','neerlandais',), ('choose_a_value','Oasif_Formulaire_Formulaire_langueDuFormulaireApres_list_francais','Oasif_Formulaire_Formulaire_langueDuFormulaireApres_list_allemand','Oasif_Formulaire_Formulaire_langueDuFormulaireApres_list_neerlandais',), 'Oasif')

    def list_formatDeDocumentAvant_values(self):
        return self._appy_getDisplayList(('','doc','xls','xml','pdfStatique','pdfDynamique',), ('choose_a_value','Oasif_Formulaire_Formulaire_formatDeDocumentAvant_list_doc','Oasif_Formulaire_Formulaire_formatDeDocumentAvant_list_xls','Oasif_Formulaire_Formulaire_formatDeDocumentAvant_list_xml','Oasif_Formulaire_Formulaire_formatDeDocumentAvant_list_pdfStatique','Oasif_Formulaire_Formulaire_formatDeDocumentAvant_list_pdfDynamique',), 'Oasif')

    def list_formatDeDocumentApres_values(self):
        return self._appy_getDisplayList(('','doc','xls','xml','pdfStatique','pdfDynamique',), ('choose_a_value','Oasif_Formulaire_Formulaire_formatDeDocumentApres_list_doc','Oasif_Formulaire_Formulaire_formatDeDocumentApres_list_xls','Oasif_Formulaire_Formulaire_formatDeDocumentApres_list_xml','Oasif_Formulaire_Formulaire_formatDeDocumentApres_list_pdfStatique','Oasif_Formulaire_Formulaire_formatDeDocumentApres_list_pdfDynamique',), 'Oasif')

    def validate_nombreDePagesDeLaNoticeAvant(self, value):
        return self._appy_validateField('nombreDePagesDeLaNoticeAvant', value, 'Oasif_Formulaire_Formulaire_nombreDePagesDeLaNoticeAvant_valid', 'Integer')

    def validate_nombreDePagesDeLaNoticeApres(self, value):
        return self._appy_validateField('nombreDePagesDeLaNoticeApres', value, 'Oasif_Formulaire_Formulaire_nombreDePagesDeLaNoticeApres_valid', 'Integer')

    def validate_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant(self, value):
        return self._appy_validateField('nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant', value, 'Oasif_Formulaire_Formulaire_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesAvant_valid', 'Integer')

    def validate_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres(self, value):
        return self._appy_validateField('nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres', value, 'Oasif_Formulaire_Formulaire_nombreDAnnexesQuOnPeutRemplacerParSourcesAuthentiquesApres_valid', 'Integer')

    def validate_nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant(self, value):
        return self._appy_validateField('nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant', value, 'Oasif_Formulaire_Formulaire_nombreDAnnexesRemplaceesParSourcesAuthentiquesAvant_valid', 'Integer')

    def validate_nombreDAnnexesRemplaceesParSourcesAuthentiquesApres(self, value):
        return self._appy_validateField('nombreDAnnexesRemplaceesParSourcesAuthentiquesApres', value, 'Oasif_Formulaire_Formulaire_nombreDAnnexesRemplaceesParSourcesAuthentiquesApres_valid', 'Integer')

    def list_typeDeFormulaireAvant_values(self):
        return self._appy_getDisplayList(('','DocumentPapier','DocumentElectronique','FormulaireInteractif','FormulaireIntegre',), ('choose_a_value','Oasif_Formulaire_Formulaire_typeDeFormulaireAvant_list_DocumentPapier','Oasif_Formulaire_Formulaire_typeDeFormulaireAvant_list_DocumentElectronique','Oasif_Formulaire_Formulaire_typeDeFormulaireAvant_list_FormulaireInteractif','Oasif_Formulaire_Formulaire_typeDeFormulaireAvant_list_FormulaireIntegre',), 'Oasif')

    def list_typeDeFormulaireApres_values(self):
        return self._appy_getDisplayList(('','FormulaireTransactionnelEtIntegre','FormulaireTransactionnel','FormulaireInteractif','FormulaireIntegre',), ('choose_a_value','Oasif_Formulaire_Formulaire_typeDeFormulaireApres_list_FormulaireTransactionnelEtIntegre','Oasif_Formulaire_Formulaire_typeDeFormulaireApres_list_FormulaireTransactionnel','Oasif_Formulaire_Formulaire_typeDeFormulaireApres_list_FormulaireInteractif','Oasif_Formulaire_Formulaire_typeDeFormulaireApres_list_FormulaireIntegre',), 'Oasif')

    def validate_nombreDeFormulairesDemandesParAnAvant(self, value):
        return self._appy_validateField('nombreDeFormulairesDemandesParAnAvant', value, 'Oasif_Formulaire_Formulaire_nombreDeFormulairesDemandesParAnAvant_valid', 'Integer')

    def validate_nombreDeFormulairesDemandesParAnApres(self, value):
        return self._appy_validateField('nombreDeFormulairesDemandesParAnApres', value, 'Oasif_Formulaire_Formulaire_nombreDeFormulairesDemandesParAnApres_valid', 'Integer')

    def generateDocument(self):
        '''Generates a document from p_self.'''
        return self._appy_generateDocument()

registerType(Oasif_Formulaire_Formulaire, 'Oasif')
