# -*- coding: utf-8 -*-
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
import Products.Oasif.config
from Extensions.appyWrappers import Oasif_Formulaire_Personne_Wrapper
from appy.gen.plone25.mixins.ClassMixin import ClassMixin


schema = Schema((
    StringField(
        name='title',
        accessor='Title',
        widget=StringWidget(
            description='Oasif_Formulaire_Personne_titleDescr',
            description_msgid='Oasif_Formulaire_Personne_title_descr',
            label_msgid='Oasif_Formulaire_Personne_title',
            label='title',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        required=True,
        name='prenom',
        widget=StringWidget(
            description='Oasif_Formulaire_Personne_prenomDescr',
            description_msgid='Oasif_Formulaire_Personne_prenom_descr',
            label_msgid='Oasif_Formulaire_Personne_prenom',
            label='prenom',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        required=True,
        name='nom',
        widget=StringWidget(
            description='Oasif_Formulaire_Personne_nomDescr',
            description_msgid='Oasif_Formulaire_Personne_nom_descr',
            label_msgid='Oasif_Formulaire_Personne_nom',
            label='nom',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='telephone',
        widget=StringWidget(
            description='Oasif_Formulaire_Personne_telephoneDescr',
            description_msgid='Oasif_Formulaire_Personne_telephone_descr',
            label_msgid='Oasif_Formulaire_Personne_telephone',
            label='telephone',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='courriel',
        widget=StringWidget(
            description='Oasif_Formulaire_Personne_courrielDescr',
            description_msgid='Oasif_Formulaire_Personne_courriel_descr',
            label_msgid='Oasif_Formulaire_Personne_courriel',
            label='courriel',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='fonction',
        widget=StringWidget(
            description='Oasif_Formulaire_Personne_fonctionDescr',
            description_msgid='Oasif_Formulaire_Personne_fonction_descr',
            label_msgid='Oasif_Formulaire_Personne_fonction',
            label='fonction',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='fax',
        widget=StringWidget(
            description='Oasif_Formulaire_Personne_faxDescr',
            description_msgid='Oasif_Formulaire_Personne_fax_descr',
            label_msgid='Oasif_Formulaire_Personne_fax',
            label='fax',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    BooleanField(
        default=True,
        name='actif',
        widget=BooleanWidget(
            label_msgid='Oasif_Formulaire_Personne_actif',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Personne_actifDescr',
            description_msgid='Oasif_Formulaire_Personne_actif_descr',
            label='actif',
        )
    ),

),)
fullSchema = BaseSchema.copy() + schema.copy()

class Oasif_Formulaire_Personne(BaseContent,ClassMixin):
    '''Class generated with appy.gen.'''
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,"__implements__",()),)
    archetype_name = 'Oasif_Formulaire_Personne'
    meta_type = 'Oasif_Formulaire_Personne'
    portal_type = 'Oasif_Formulaire_Personne'
    allowed_content_types = []
    filter_content_types = 0
    global_allow = 1
    immediate_view = 'Oasif_appy_view'
    default_view = 'Oasif_appy_view'
    suppl_views = ()
    typeDescription = 'Oasif_Formulaire_Personne'
    typeDescMsgId = 'Oasif_Formulaire_Personne_edit_descr'
    _at_rename_after_creation = True
    i18nDomain = 'Oasif'
    schema = fullSchema
    wrapperClass = Oasif_Formulaire_Personne_Wrapper

    def at_post_create_script(self): self._appy_onEdit(True)
    def at_post_edit_script(self): self._appy_onEdit(False)
    def post_validate(self, REQUEST=None, errors=None):
        if not errors: self._appy_validateAllFields(REQUEST, errors)
    def getTool(self): return self.portal_oasif
    def getProductConfig(self): return Products.Oasif.config


    def validate_courriel(self, value):
        return self._appy_validateField('courriel', value, 'Oasif_Formulaire_Personne_courriel_valid', None)

    def generateDocument(self):
        '''Generates a document from p_self.'''
        return self._appy_generateDocument()


