# -*- coding: utf-8 -*-
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
import Products.Oasif.config
from Extensions.appyWrappers import Oasif_Formulaire_Travail_Wrapper
from appy.gen.plone25.mixins.ClassMixin import ClassMixin


schema = Schema((
    StringField(
        name='title',
        accessor='Title',
        widget=StringWidget(
            description='Oasif_Formulaire_Travail_titleDescr',
            description_msgid='Oasif_Formulaire_Travail_title_descr',
            label_msgid='Oasif_Formulaire_Travail_title',
            label='title',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    ReferenceField(
        name='intervenantEasiWal',
        relationship='Oasif_Formulaire_Travail_intervenantEasiWal_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_Travail_intervenantEasiWalDescr',
            description_msgid='Oasif_Formulaire_Travail_intervenantEasiWal_descr',
            label_msgid='Oasif_Formulaire_Travail_intervenantEasiWal',
            label='intervenantEasiWal',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    DateTimeField(
        required=True,
        name='echeanceDemandee',
        widget=CalendarWidget(
            description='Oasif_Formulaire_Travail_echeanceDemandeeDescr',
            description_msgid='Oasif_Formulaire_Travail_echeanceDemandee_descr',
            label_msgid='Oasif_Formulaire_Travail_echeanceDemandee',
            label='echeanceDemandee',
            show_hm=False,
            i18n_domain='Oasif',
        )
    ),

    DateTimeField(
        name='echeancePossible',
        widget=CalendarWidget(
            description='Oasif_Formulaire_Travail_echeancePossibleDescr',
            description_msgid='Oasif_Formulaire_Travail_echeancePossible_descr',
            label_msgid='Oasif_Formulaire_Travail_echeancePossible',
            label='echeancePossible',
            show_hm=False,
            i18n_domain='Oasif',
        )
    ),

    StringField(
        name='raisonDeLAttente',
        widget=StringWidget(
            description='Oasif_Formulaire_Travail_raisonDeLAttenteDescr',
            description_msgid='Oasif_Formulaire_Travail_raisonDeLAttente_descr',
            label_msgid='Oasif_Formulaire_Travail_raisonDeLAttente',
            label='raisonDeLAttente',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    IntegerField(
        name='pourcentageDejaRealise',
        widget=IntegerWidget(
            label_msgid='Oasif_Formulaire_Travail_pourcentageDejaRealise',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Travail_pourcentageDejaRealiseDescr',
            description_msgid='Oasif_Formulaire_Travail_pourcentageDejaRealise_descr',
            label='pourcentageDejaRealise',
        )
    ),

    DateTimeField(
        name='dateDeFin',
        widget=CalendarWidget(
            description='Oasif_Formulaire_Travail_dateDeFinDescr',
            description_msgid='Oasif_Formulaire_Travail_dateDeFin_descr',
            label_msgid='Oasif_Formulaire_Travail_dateDeFin',
            label='dateDeFin',
            show_hm=False,
            i18n_domain='Oasif',
        )
    ),

    FileField(
        storage=AttributeStorage(),
        name='documentProduit1',
        widget=FileWidget(
            label_msgid='Oasif_Formulaire_Travail_documentProduit1',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Travail_documentProduit1Descr',
            description_msgid='Oasif_Formulaire_Travail_documentProduit1_descr',
            label='documentProduit1',
        )
    ),

    FileField(
        storage=AttributeStorage(),
        name='documentProduit2',
        widget=FileWidget(
            label_msgid='Oasif_Formulaire_Travail_documentProduit2',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Travail_documentProduit2Descr',
            description_msgid='Oasif_Formulaire_Travail_documentProduit2_descr',
            label='documentProduit2',
        )
    ),

    FileField(
        storage=AttributeStorage(),
        name='documentProduit3',
        widget=FileWidget(
            label_msgid='Oasif_Formulaire_Travail_documentProduit3',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Travail_documentProduit3Descr',
            description_msgid='Oasif_Formulaire_Travail_documentProduit3_descr',
            label='documentProduit3',
        )
    ),

    FileField(
        storage=AttributeStorage(),
        name='documentProduit4',
        widget=FileWidget(
            label_msgid='Oasif_Formulaire_Travail_documentProduit4',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Travail_documentProduit4Descr',
            description_msgid='Oasif_Formulaire_Travail_documentProduit4_descr',
            label='documentProduit4',
        )
    ),

    TextField(
        allowable_content_types=('text/html',),
        default_output_type='text/html',
        name='remarquesEventuelles',
        widget=RichWidget(
            label_msgid='Oasif_Formulaire_Travail_remarquesEventuelles',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_Travail_remarquesEventuellesDescr',
            description_msgid='Oasif_Formulaire_Travail_remarquesEventuelles_descr',
            label='remarquesEventuelles',
        )
    ),

),)
fullSchema = BaseSchema.copy() + schema.copy()

class Oasif_Formulaire_Travail(BaseContent,ClassMixin):
    '''Represente un type de travail a effectuer sur un formulaire: travail de
       simplification/lisibilite, travail informatique, travail de mise en
       production.'''
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,"__implements__",()),)
    archetype_name = 'Oasif_Formulaire_Travail'
    meta_type = 'Oasif_Formulaire_Travail'
    portal_type = 'Oasif_Formulaire_Travail'
    allowed_content_types = []
    filter_content_types = 0
    global_allow = 1
    immediate_view = 'Oasif_appy_view'
    default_view = 'Oasif_appy_view'
    suppl_views = ()
    typeDescription = 'Oasif_Formulaire_Travail'
    typeDescMsgId = 'Oasif_Formulaire_Travail_edit_descr'
    _at_rename_after_creation = True
    i18nDomain = 'Oasif'
    schema = fullSchema
    wrapperClass = Oasif_Formulaire_Travail_Wrapper

    def at_post_create_script(self): self._appy_onEdit(True)
    def at_post_edit_script(self): self._appy_onEdit(False)
    def post_validate(self, REQUEST=None, errors=None):
        if not errors: self._appy_validateAllFields(REQUEST, errors)
    def getTool(self): return self.portal_oasif
    def getProductConfig(self): return Products.Oasif.config


    def validate_intervenantEasiWal(self, value):
        return self._appy_validateField('intervenantEasiWal', value, 'Oasif_Formulaire_Travail_intervenantEasiWal_valid', 'Ref')

    def validate_pourcentageDejaRealise(self, value):
        return self._appy_validateField('pourcentageDejaRealise', value, 'Oasif_Formulaire_Travail_pourcentageDejaRealise_valid', 'Integer')

    def generateDocument(self):
        '''Generates a document from p_self.'''
        return self._appy_generateDocument()

registerType(Oasif_Formulaire_Travail, 'Oasif')
