# -*- coding: utf-8 -*-
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
import Products.Oasif.config
from Extensions.appyWrappers import Oasif_Formulaire_TravailInformatique_Wrapper
from appy.gen.plone25.mixins.ClassMixin import ClassMixin
from Oasif_Formulaire_Travail import Oasif_Formulaire_Travail

schema = Schema((
    ReferenceField(
        name='developpeurInterne',
        relationship='Oasif_Formulaire_TravailInformatique_developpeurInterne_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_TravailInformatique_developpeurInterneDescr',
            description_msgid='Oasif_Formulaire_TravailInformatique_developpeurInterne_descr',
            label_msgid='Oasif_Formulaire_TravailInformatique_developpeurInterne',
            label='developpeurInterne',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    ReferenceField(
        name='developpeurExterne',
        relationship='Oasif_Formulaire_TravailInformatique_developpeurExterne_rel',
        widget=ReferenceWidget(
            description='Oasif_Formulaire_TravailInformatique_developpeurExterneDescr',
            description_msgid='Oasif_Formulaire_TravailInformatique_developpeurExterne_descr',
            label_msgid='Oasif_Formulaire_TravailInformatique_developpeurExterne',
            label='developpeurExterne',
            visible=False,
            i18n_domain='Oasif',
        )
    ),

    StringField(
        name='application',
        widget=StringWidget(
            description='Oasif_Formulaire_TravailInformatique_applicationDescr',
            description_msgid='Oasif_Formulaire_TravailInformatique_application_descr',
            label_msgid='Oasif_Formulaire_TravailInformatique_application',
            label='application',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    TextField(
        name='descriptionDeLApplication',
        widget=TextAreaWidget(
            label_msgid='Oasif_Formulaire_TravailInformatique_descriptionDeLApplication',
            i18n_domain='Oasif',
            description='Oasif_Formulaire_TravailInformatique_descriptionDeLApplicationDescr',
            description_msgid='Oasif_Formulaire_TravailInformatique_descriptionDeLApplication_descr',
            label='descriptionDeLApplication',
        )
    ),

    StringField(
        name='prestataire',
        widget=StringWidget(
            description='Oasif_Formulaire_TravailInformatique_prestataireDescr',
            description_msgid='Oasif_Formulaire_TravailInformatique_prestataire_descr',
            label_msgid='Oasif_Formulaire_TravailInformatique_prestataire',
            label='prestataire',
            i18n_domain='Oasif',
            size=50,
        )
    ),

    StringField(
        name='coordonneesDuResponsable',
        widget=StringWidget(
            description='Oasif_Formulaire_TravailInformatique_coordonneesDuResponsableDescr',
            description_msgid='Oasif_Formulaire_TravailInformatique_coordonneesDuResponsable_descr',
            label_msgid='Oasif_Formulaire_TravailInformatique_coordonneesDuResponsable',
            label='coordonneesDuResponsable',
            i18n_domain='Oasif',
            size=50,
        )
    ),

),)
fullSchema = Oasif_Formulaire_Travail.schema.copy() + schema.copy()

class Oasif_Formulaire_TravailInformatique(BaseContent,Oasif_Formulaire_Travail):
    '''Class generated with appy.gen.'''
    security = ClassSecurityInfo()
    __implements__ = (getattr(BaseContent,"__implements__",()),)+(getattr(Oasif_Formulaire_Travail,"__implements__",()),)
    archetype_name = 'Oasif_Formulaire_TravailInformatique'
    meta_type = 'Oasif_Formulaire_TravailInformatique'
    portal_type = 'Oasif_Formulaire_TravailInformatique'
    allowed_content_types = []
    filter_content_types = 0
    global_allow = 1
    immediate_view = 'Oasif_appy_view'
    default_view = 'Oasif_appy_view'
    suppl_views = ()
    typeDescription = 'Oasif_Formulaire_TravailInformatique'
    typeDescMsgId = 'Oasif_Formulaire_TravailInformatique_edit_descr'
    _at_rename_after_creation = True
    i18nDomain = 'Oasif'
    schema = fullSchema
    wrapperClass = Oasif_Formulaire_TravailInformatique_Wrapper

    def at_post_create_script(self): self._appy_onEdit(True)
    def at_post_edit_script(self): self._appy_onEdit(False)
    def post_validate(self, REQUEST=None, errors=None):
        if not errors: self._appy_validateAllFields(REQUEST, errors)
    def getTool(self): return self.portal_oasif
    def getProductConfig(self): return Products.Oasif.config


    def validate_developpeurInterne(self, value):
        return self._appy_validateField('developpeurInterne', value, 'Oasif_Formulaire_TravailInformatique_developpeurInterne_valid', 'Ref')

    def validate_developpeurExterne(self, value):
        return self._appy_validateField('developpeurExterne', value, 'Oasif_Formulaire_TravailInformatique_developpeurExterne_valid', 'Ref')

    def generateDocument(self):
        '''Generates a document from p_self.'''
        return self._appy_generateDocument()

registerType(Oasif_Formulaire_TravailInformatique, 'Oasif')
