# -*- coding: utf-8 -*-
#
# GNU General Public License (GPL)
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301, USA.
#

import sys
try: # New CMF
    from Products.CMFCore.permissions import setDefaultRoles
except ImportError: # Old CMF
    from Products.CMFCore.CMFCorePermissions import setDefaultRoles

import Extensions.appyWrappers
import Oasif
import Oasif.Formulaire
import Oasif.ToolOasif

# The following imports are here for allowing mixin classes to access those
# elements without being statically dependent on Plone/Zope packages. Indeed,
# every Archetype instance has a method "getProductConfig" that returns this
# module.
from persistent.list import PersistentList
from Products.Archetypes.utils import DisplayList
from OFS.Image import File
from DateTime import DateTime
from Products.CMFCore.utils import getToolByName
from Products.CMFPlone.PloneBatch import Batch
from OFS.Image import File
import logging
logger = logging.getLogger('Oasif')

# Some global variables --------------------------------------------------------
defaultAddRoles = ["Manager","Owner"]
DEFAULT_ADD_CONTENT_PERMISSION = "Add portal content"
ADD_CONTENT_PERMISSIONS = {
    "Oasif_Formulaire_Administration":"Oasif: Add Oasif_Formulaire_Administration",
    "Oasif_Formulaire_SousTraitant":"Oasif: Add Oasif_Formulaire_SousTraitant",
    "Oasif_Formulaire_AgentInterne":"Oasif: Add Oasif_Formulaire_AgentInterne",
    "Oasif_Formulaire_TravailInformatique":"Oasif: Add Oasif_Formulaire_TravailInformatique",
    "Oasif_Formulaire_Travail":"Oasif: Add Oasif_Formulaire_Travail",
    "Oasif_Formulaire_Personne":"Oasif: Add Oasif_Formulaire_Personne",
    "Oasif_Formulaire_Formulaire":"Oasif: Add Oasif_Formulaire_Formulaire",
    "Oasif_Formulaire_Ministre":"Oasif: Add Oasif_Formulaire_Ministre",
    "Oasif_Formulaire_Employe":"Oasif: Add Oasif_Formulaire_Employe",
    "Oasif_Formulaire_Agent":"Oasif: Add Oasif_Formulaire_Agent",
    "Oasif_Formulaire_TypeDeDemarche":"Oasif: Add Oasif_Formulaire_TypeDeDemarche",
    "Oasif_Formulaire_Famille":"Oasif: Add Oasif_Formulaire_Famille",
}
setDefaultRoles(DEFAULT_ADD_CONTENT_PERMISSION, tuple(defaultAddRoles))
product_globals = globals()
PROJECTNAME = 'Oasif'
applicationRoles = ["GestionnaireFormulaires"]
referers = {
"Oasif_Formulaire_Employe":[(Oasif.Formulaire.SousTraitant.employes,"Oasif_Formulaire_SousTraitant_employes_rel"),(Oasif.Formulaire.TravailInformatique.developpeurExterne,"Oasif_Formulaire_TravailInformatique_developpeurExterne_rel"),],
"Oasif_Formulaire_Famille":[(Oasif.Formulaire.Formulaire.famille,"Oasif_Formulaire_Formulaire_famille_rel"),(Oasif.ToolOasif.ToolOasif.familles,"OasifTool_familles_rel"),],
"Oasif_Formulaire_Administration":[(Oasif.Formulaire.Formulaire.adresseDeRenvoi,"Oasif_Formulaire_Formulaire_adresseDeRenvoi_rel"),(Oasif.ToolOasif.ToolOasif.administrations,"OasifTool_administrations_rel"),],
"Oasif_Formulaire_TravailInformatique":[(Oasif.Formulaire.Formulaire.travailDInformatisation,"Oasif_Formulaire_Formulaire_travailDInformatisation_rel"),],
"Oasif_Formulaire_SousTraitant":[(Oasif.ToolOasif.ToolOasif.sousTraitants,"OasifTool_sousTraitants_rel"),],
"Oasif_Formulaire_Travail":[(Oasif.Formulaire.Formulaire.travailDeSimplification,"Oasif_Formulaire_Formulaire_travailDeSimplification_rel"),(Oasif.Formulaire.Formulaire.travailDeMiseEnLigne,"Oasif_Formulaire_Formulaire_travailDeMiseEnLigne_rel"),],
"Oasif_Formulaire_Agent":[(Oasif.Formulaire.Administration.agents,"Oasif_Formulaire_Administration_agents_rel"),(Oasif.Formulaire.Formulaire.personnesDeContact,"Oasif_Formulaire_Formulaire_personnesDeContact_rel"),(Oasif.Formulaire.Formulaire.fonctionnaireValidant,"Oasif_Formulaire_Formulaire_fonctionnaireValidant_rel"),],
"Oasif_Formulaire_TypeDeDemarche":[(Oasif.Formulaire.Formulaire.natureDeLaDemarche,"Oasif_Formulaire_Formulaire_natureDeLaDemarche_rel"),(Oasif.ToolOasif.ToolOasif.typesDeDemarches,"OasifTool_typesDeDemarches_rel"),],
"Oasif_Formulaire_AgentInterne":[(Oasif.Formulaire.TravailInformatique.developpeurInterne,"Oasif_Formulaire_TravailInformatique_developpeurInterne_rel"),(Oasif.Formulaire.Travail.intervenantEasiWal,"Oasif_Formulaire_Travail_intervenantEasiWal_rel"),(Oasif.Formulaire.Formulaire.autresPersonnesDeContact,"Oasif_Formulaire_Formulaire_autresPersonnesDeContact_rel"),(Oasif.Formulaire.Formulaire.chefDeProjetCoteEasi,"Oasif_Formulaire_Formulaire_chefDeProjetCoteEasi_rel"),(Oasif.ToolOasif.ToolOasif.agentsInternes,"OasifTool_agentsInternes_rel"),],
"Oasif_Formulaire_Ministre":[(Oasif.Formulaire.Formulaire.ministreConcerne,"Oasif_Formulaire_Formulaire_ministreConcerne_rel"),(Oasif.ToolOasif.ToolOasif.ministres,"OasifTool_ministres_rel"),],
"OasifFlavour":[(Extensions.appyWrappers.Tool.flavours,"OasifTool_flavours_rel"),],

}
# In the following dict, we keep one instance for every Appy workflow defined
# in the application. Those prototypical instances will be used for executing
# user-defined actions and transitions. For each instance, we add a special
# attribute "_transitionsMapping" that allows to get Appy transitions from the
# names of DC transitions.
workflowInstances = {}
wf = Oasif.Formulaire.ProcessusTravail()
wf._transitionsMapping = {}
wf._transitionsMapping["annuler"] = wf.annuler
wf._transitionsMapping["attribuerEnExterneEnAttenteInterneToEnAttenteExterne"] = wf.attribuerEnExterne
wf._transitionsMapping["attribuerEnExterneEnCoursToEnAttenteExterne"] = wf.attribuerEnExterne
wf._transitionsMapping["attribuerEnInterneEnAttenteInterneToEnCours"] = wf.attribuerEnInterne
wf._transitionsMapping["attribuerEnInterneEnCoursToEnAttenteInterne"] = wf.attribuerEnInterne
wf._transitionsMapping["receptionnerTravailExterne"] = wf.receptionnerTravailExterne
wf._transitionsMapping["terminer"] = wf.terminer
wf._states = []
wf._states.append("enAttenteInterne")
wf._states.append("enAttenteExterne")
wf._states.append("enCours")
wf._states.append("termine")
workflowInstances[Oasif.Formulaire.ProcessusTravail] = wf

# ------------------------------------------------------------------------------
